
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest4 {

  public static boolean debug = false;

  @Test
  public void test01() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test01"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(6.350815104195135d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.535473489482963d);

  }

  @Test
  public void test02() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test02"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-54.47750137035394d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357601002E-15d);

  }

  @Test
  public void test03() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test03"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.2598587187841426d, 4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2598587187841428d);

  }

  @Test
  public void test04() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test04"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D2.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b11 = vector3D10.isNaN();
    double d12 = vector3D10.getNorm1();
    double d13 = vector3D10.getY();
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D2.subtract(0.4515891947683017d, vector3D10);
    java.lang.String str15 = vector3D2.toString();
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D16.subtract(1.0d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D16.negate();
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b22 = vector3D21.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D23.negate();
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D21, vector3D23);
    boolean b29 = vector3D20.equals((java.lang.Object)vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D35.subtract(1.0d, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D35.negate();
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D33.add(0.0d, vector3D39);
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d42 = org.apache.commons.math.geometry.Vector3D.distance(vector3D33, vector3D41);
    org.apache.commons.math.geometry.Vector3D vector3D44 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D44.subtract(1.0d, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D41.add(0.4515891947683017d, vector3D44);
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D49.subtract(1.0d, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D49.negate();
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b55 = vector3D54.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D59 = vector3D56.subtract(1.0d, vector3D58);
    org.apache.commons.math.geometry.Vector3D vector3D60 = vector3D56.negate();
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D54, vector3D56);
    boolean b62 = vector3D53.equals((java.lang.Object)vector3D61);
    boolean b63 = vector3D61.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D48, vector3D61);
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D28.subtract(vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D67 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b68 = vector3D67.isInfinite();
    double d69 = vector3D67.getNormInf();
    double d70 = vector3D67.getX();
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D64.subtract(1.9138920484170784E240d, vector3D67);
    org.apache.commons.math.geometry.Vector3D vector3D74 = new org.apache.commons.math.geometry.Vector3D(100.0d, 6.123233995736766E-17d);
    double d75 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D71, vector3D74);
    double d76 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D2, vector3D74);
    double d77 = vector3D74.getAlpha();
    boolean b78 = vector3D74.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "{1; 0; 0}"+ "'", str15.equals("{1; 0; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.9138920484170784E240d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.27536225542463216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == (-0.5309649148733836d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);

  }

  @Test
  public void test05() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test05"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.2007386039779494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3686845133974428d);

  }

  @Test
  public void test06() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test06"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test07() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test07"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.38374442150128424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4044433374664165d);

  }

  @Test
  public void test08() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test08"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D(2.5235831619787987d, 2.5235831619787987d);
    org.apache.commons.math.geometry.Vector3D vector3D3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.geometry.Vector3D.angle(vector3D2, vector3D3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test09() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test09"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D(0.0d, (-5.010894868147209d));
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D4.subtract(1.0d, vector3D6);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b13 = vector3D12.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D8.add(vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b17 = vector3D16.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D18 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D16);
    double d19 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D8, vector3D18);
    double d20 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D4, vector3D18);
    double d21 = vector3D4.getX();
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D2.subtract(0.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D26 = new org.apache.commons.math.geometry.Vector3D(2.0959782418713524d, 1.4467997683574076d, 0.012911215844159286d);
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D4, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D35.subtract(1.0d, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D35.negate();
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D33.add(0.0d, vector3D39);
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d42 = org.apache.commons.math.geometry.Vector3D.distance(vector3D33, vector3D41);
    org.apache.commons.math.geometry.Vector3D vector3D44 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D44.subtract(1.0d, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D41.add(0.4515891947683017d, vector3D44);
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d50 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D48, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D51 = new org.apache.commons.math.geometry.Vector3D(31700.01079032924d, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D28.add(vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.ZERO;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D58.subtract(1.0d, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b63 = vector3D62.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D64 = vector3D58.add(vector3D62);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b67 = vector3D66.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D68 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D66);
    double d69 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D58, vector3D68);
    double d70 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D54, vector3D68);
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D53, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D28.subtract(vector3D54);
    double d73 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D26, vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.4467997683574076d);

  }

  @Test
  public void test10() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test10"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    double d4 = vector3D3.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b10 = vector3D9.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D5.add(vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D12.subtract(1.0d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D12.negate();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b18 = vector3D17.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D17, vector3D19);
    boolean b25 = vector3D16.equals((java.lang.Object)vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.subtract(1.0d, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D31.negate();
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D29.add(0.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d38 = org.apache.commons.math.geometry.Vector3D.distance(vector3D29, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D37.add(0.4515891947683017d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b51 = vector3D50.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D52.subtract(1.0d, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D52.negate();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D50, vector3D52);
    boolean b58 = vector3D49.equals((java.lang.Object)vector3D57);
    boolean b59 = vector3D57.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D44, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D24.subtract(vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D11.add(vector3D61);
    double d63 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D62);
    double d64 = vector3D62.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 4.0d);

  }

  @Test
  public void test11() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test11"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(8.000000000000002d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.9999999999999982d));

  }

  @Test
  public void test12() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test12"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.MINUS_K;
    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b2 = vector3D1.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D1.negate();
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D3, vector3D4);
    double d6 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D0, vector3D5);
    double d7 = vector3D5.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test13() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test13"); }


    float f2 = org.apache.commons.math.util.FastMath.max(20.000004f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000004f);

  }

  @Test
  public void test14() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test14"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj3 = mathRuntimeException1.getContext("");
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.MathParseException mathParseException8 = new org.apache.commons.math.exception.MathParseException("", 10);
    java.lang.Throwable[] throwable_array9 = mathParseException8.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, (java.lang.Object[])throwable_array9);
    mathRuntimeException1.addMessage(localizable4, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test15() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test15"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.993795535716391d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6298309684792445d));

  }

  @Test
  public void test16() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test16"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.141323906821008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.132188910366713d);

  }

  @Test
  public void test17() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test17"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b2 = vector3D1.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D3 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D1);
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D3.orthogonal();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    double d7 = vector3D5.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.NaN;
    double d9 = vector3D8.getDelta();
    double d10 = org.apache.commons.math.geometry.Vector3D.angle(vector3D5, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D5.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D11.negate();
    double d13 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D3, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D3.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);

  }

  @Test
  public void test18() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test18"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("", 10);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.NaN;
    mathParseException2.setContext("{", (java.lang.Object)vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D6.subtract(1.0d, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b11 = vector3D10.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D6.add(vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b14 = vector3D13.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D15.negate();
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D13, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D15.normalize();
    double d22 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D10, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D28.negate();
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d35 = org.apache.commons.math.geometry.Vector3D.distance(vector3D26, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D37.subtract(1.0d, vector3D39);
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D34.add(0.4515891947683017d, vector3D37);
    boolean b43 = vector3D34.equals((java.lang.Object)false);
    double d44 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D15, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D34.negate();
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b48 = vector3D47.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D49.subtract(1.0d, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D49.negate();
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D47, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D49.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d57 = vector3D56.getNormInf();
    double d58 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D55, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D59 = vector3D34.add(2.0d, vector3D55);
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D4, vector3D59);
    java.lang.String str61 = vector3D60.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "{(NaN); (NaN); (NaN)}"+ "'", str61.equals("{(NaN); (NaN); (NaN)}"));

  }

  @Test
  public void test19() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test19"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test20() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test20"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b2 = vector3D1.isNaN();
    double d3 = vector3D1.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.NaN;
    double d5 = vector3D4.getDelta();
    double d6 = org.apache.commons.math.geometry.Vector3D.angle(vector3D1, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D1.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D10.subtract(1.0d, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D15.negate();
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D13.add(0.0d, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d22 = org.apache.commons.math.geometry.Vector3D.distance(vector3D13, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D21.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D21.negate();
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b26 = vector3D25.isNaN();
    double d27 = vector3D25.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.NaN;
    double d29 = vector3D28.getDelta();
    double d30 = org.apache.commons.math.geometry.Vector3D.angle(vector3D25, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D25.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D31.negate();
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b34 = vector3D33.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D35.subtract(1.0d, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D35.negate();
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D33, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D35.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D43.subtract(1.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = vector3D48.subtract(1.0d, vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D48.negate();
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D46.add(0.0d, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d55 = org.apache.commons.math.geometry.Vector3D.distance(vector3D46, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D59 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = vector3D57.subtract(1.0d, vector3D59);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D54.add(0.4515891947683017d, vector3D57);
    double d62 = org.apache.commons.math.geometry.Vector3D.distance(vector3D42, vector3D61);
    double d63 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D41, vector3D61);
    double d64 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D32, vector3D61);
    double d65 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D24, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D66 = new org.apache.commons.math.geometry.Vector3D(0.0d, vector3D8, 0.37265895265884924d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    org.apache.commons.math.geometry.Vector3D vector3D69 = new org.apache.commons.math.geometry.Vector3D(0.36787944117144233d, vector3D68);
    double d70 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D32, vector3D69);
    double d71 = vector3D69.getDelta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == (-1.4515891947683017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.5707963267948966d);

  }

  @Test
  public void test21() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test21"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D((-5.0d), 0.4515891947683017d);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat7 = vector3DFormat6.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat8 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat7);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat9 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat7);
    java.lang.String str10 = vector3DFormat9.getPrefix();
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b12 = vector3D11.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D11.negate();
    java.lang.String str14 = vector3DFormat9.format(vector3D11);
    double d15 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D2, vector3D11);
    double d16 = vector3D11.getX();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D17.subtract(1.0d, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D17.negate();
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b23 = vector3D22.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D24.subtract(1.0d, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D28 = vector3D24.negate();
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D22, vector3D24);
    boolean b30 = vector3D21.equals((java.lang.Object)vector3D29);
    boolean b31 = vector3D11.equals((java.lang.Object)vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{"+ "'", str10.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "{1hi!0hi!0hi!"+ "'", str14.equals("{1hi!0hi!0hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.4895472191275951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test22() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test22"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, (-1.4210854E-14f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test23() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test23"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException1 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException2 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException1);
    java.lang.Throwable[] throwable_array3 = mathRuntimeException2.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array3);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat9 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "hi!000hi!");
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3DFormat9.parse("hi!000hi!");
    java.lang.String str12 = vector3DFormat9.getSuffix();
    java.lang.String str13 = vector3DFormat9.getSuffix();
    java.lang.String str14 = vector3DFormat9.getSuffix();
    mathArithmeticException4.setContext("hi!000hi!000hi!", (java.lang.Object)vector3DFormat9);
    java.text.NumberFormat numberFormat16 = vector3DFormat9.getFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test24() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test24"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-20.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-19.999998f));

  }

  @Test
  public void test25() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test25"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = vector3D0.negate();
    double d3 = vector3D2.getNorm1();
    double d4 = vector3D2.getX();
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.orthogonal();
    double d6 = vector3D2.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test26() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test26"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.6595834124225789d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.93398649181429d);

  }

  @Test
  public void test27() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test27"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    double d7 = vector3D6.getNorm();
    double d8 = vector3D6.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test28() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test28"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat1 = vector3DFormat0.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat2 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat1);
    java.lang.String str3 = vector3DFormat2.getPrefix();
    java.lang.String str4 = vector3DFormat2.getSuffix();
    java.lang.String str5 = vector3DFormat2.getPrefix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{"+ "'", str3.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "}"+ "'", str4.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{"+ "'", str5.equals("{"));

  }

  @Test
  public void test29() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test29"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.6349639147847361d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test30() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test30"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)", "}", "{0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0hi!000hi!");

  }

  @Test
  public void test31() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test31"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.6863667326046964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test32() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test32"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.5773250648181292d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-153.16678173654867d));

  }

  @Test
  public void test33() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test33"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!000hi!000hi!", "; ");
    org.apache.commons.math.geometry.Vector3D vector3D6 = new org.apache.commons.math.geometry.Vector3D(Double.NEGATIVE_INFINITY, 2.718281828459045d);
    java.lang.String str7 = vector3DFormat3.format(vector3D6);
    boolean b9 = vector3D6.equals((java.lang.Object)100.0d);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D6.scalarMultiply(3.982441812995697E30d);
    org.apache.commons.math.geometry.Vector3D vector3D15 = new org.apache.commons.math.geometry.Vector3D(100.0d, 10.0d, 10.0d);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D6.add(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!(NaN); (NaN); 0.41hi!000hi!000hi!"+ "'", str7.equals("hi!(NaN); (NaN); 0.41hi!000hi!000hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);

  }

  @Test
  public void test34() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test34"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D1.negate();
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b7 = vector3D6.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D8);
    boolean b14 = vector3D5.equals((java.lang.Object)vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D20.subtract(1.0d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D20.negate();
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D18.add(0.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d27 = org.apache.commons.math.geometry.Vector3D.distance(vector3D18, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.4515891947683017d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D34.subtract(1.0d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D34.negate();
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b40 = vector3D39.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D41.subtract(1.0d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D41.negate();
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D39, vector3D41);
    boolean b47 = vector3D38.equals((java.lang.Object)vector3D46);
    boolean b48 = vector3D46.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D33, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D13.subtract(vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b53 = vector3D52.isInfinite();
    double d54 = vector3D52.getNormInf();
    double d55 = vector3D52.getX();
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D49.subtract(1.9138920484170784E240d, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D57 = new org.apache.commons.math.geometry.Vector3D((-0.8207187468572497d), vector3D56);
    double d58 = vector3D56.getNormInf();
    double d59 = vector3D56.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.9138920484170784E240d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test35() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test35"); }


    org.apache.commons.math.geometry.Vector3D vector3D3 = new org.apache.commons.math.geometry.Vector3D(0.10120878892729965d, 5.298292365610485d, 1.4515891947683017d);
    double d4 = vector3D3.getNorm();
    double d5 = vector3D3.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 5.494475079642328d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 5.298292365610485d);

  }

  @Test
  public void test36() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test36"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(5.877472E-39f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test37() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test37"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D2);
    double d8 = vector3D2.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b10 = vector3D9.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D11.subtract(1.0d, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D11.negate();
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D9, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D11.scalarMultiply(Double.POSITIVE_INFINITY);
    double d19 = vector3D18.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D20.subtract(1.0d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = vector3D25.subtract(1.0d, vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D25.negate();
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D23.add(0.0d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d32 = org.apache.commons.math.geometry.Vector3D.distance(vector3D23, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D31.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.negate();
    org.apache.commons.math.exception.MathParseException mathParseException38 = new org.apache.commons.math.exception.MathParseException("", 10);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.NaN;
    mathParseException38.setContext("{", (java.lang.Object)vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D42 = vector3D40.orthogonal();
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D43.subtract(1.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b48 = vector3D47.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D43.add(vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b51 = vector3D50.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D52.subtract(1.0d, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D52.negate();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D50, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D52.normalize();
    double d59 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D47, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D52.scalarMultiply(1.0d);
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D62.subtract(1.0d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b67 = vector3D66.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D62.add(vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b70 = vector3D69.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D74 = vector3D71.subtract(1.0d, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D71.negate();
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D69, vector3D71);
    org.apache.commons.math.geometry.Vector3D vector3D77 = vector3D71.normalize();
    double d78 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D66, vector3D71);
    org.apache.commons.math.geometry.Vector3D vector3D80 = vector3D71.scalarMultiply(1.0d);
    org.apache.commons.math.geometry.Vector3D vector3D81 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b82 = vector3D81.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D83 = vector3D71.subtract(vector3D81);
    double d84 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D52, vector3D83);
    double d85 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D40, vector3D83);
    org.apache.commons.math.geometry.Vector3D vector3D87 = org.apache.commons.math.geometry.Vector3D.ZERO;
    boolean b88 = vector3D87.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D89 = new org.apache.commons.math.geometry.Vector3D(76.50399224559538d, vector3D40, 0.0d, vector3D87);
    org.apache.commons.math.geometry.Vector3D vector3D90 = vector3D31.add(vector3D87);
    org.apache.commons.math.geometry.Vector3D vector3D91 = vector3D18.subtract(vector3D90);
    double d92 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D2, vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d85, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);

  }

  @Test
  public void test38() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test38"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.3289478757332207d, (-9362.773821457613d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3289478757332207d);

  }

  @Test
  public void test39() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test39"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException0);
    java.lang.Throwable[] throwable_array2 = mathRuntimeException1.getSuppressed();
    java.util.Set set3 = mathRuntimeException1.getContextKeys();
    org.apache.commons.math.exception.MathParseException mathParseException6 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.MathParseException mathParseException9 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    mathParseException6.addSuppressed((java.lang.Throwable)mathParseException9);
    java.lang.Object obj12 = mathParseException9.getContext("hi!100hi!");
    mathRuntimeException1.addSuppressed((java.lang.Throwable)mathParseException9);
    java.lang.String str14 = mathParseException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position 10)"+ "'", str14.equals("org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position 10)"));

  }

  @Test
  public void test40() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test40"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.07448468061483185d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.00130000291902521d));

  }

  @Test
  public void test41() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test41"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.2704446803261689d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.27044468032616886d));

  }

  @Test
  public void test42() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test42"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test43() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test43"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.text.NumberFormat numberFormat6 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    java.lang.String str8 = vector3DFormat5.format(vector3D7);
    java.lang.String str9 = vector3DFormat5.getPrefix();
    java.text.NumberFormat numberFormat10 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat11 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat10);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat12 = new org.apache.commons.math.geometry.Vector3DFormat("org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)", "hi!(NaN); (NaN); 0.41hi!000hi!000hi!", "{", numberFormat10);
    java.lang.String str13 = vector3DFormat12.getSeparator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0; 1; 0}"+ "'", str8.equals("{0; 1; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{"+ "'", str9.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{"+ "'", str13.equals("{"));

  }

  @Test
  public void test44() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test44"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.8869540490871268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015480268470465769d);

  }

  @Test
  public void test45() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test45"); }


    int i2 = org.apache.commons.math.util.FastMath.max(20, (-36));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 20);

  }

  @Test
  public void test46() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test46"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.NaN;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D2.orthogonal();
    double d4 = vector3D3.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b7 = vector3D6.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D8.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D16.subtract(1.0d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D21.subtract(1.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D21.negate();
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D19.add(0.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d28 = org.apache.commons.math.geometry.Vector3D.distance(vector3D19, vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D27.add(0.4515891947683017d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d36 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D34, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D35.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D38 = new org.apache.commons.math.geometry.Vector3D(0.3818727263038788d, vector3D3, 4.509062855957621E52d, vector3D14, 2.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D39 = new org.apache.commons.math.geometry.Vector3D(Double.NaN, vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);

  }

  @Test
  public void test47() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test47"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D6.subtract(1.0d, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D6.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D4.add(0.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d13 = org.apache.commons.math.geometry.Vector3D.distance(vector3D4, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D12.add(0.4515891947683017d, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d21 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D19, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b28 = vector3D27.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D29.negate();
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D27, vector3D29);
    boolean b35 = vector3D26.equals((java.lang.Object)vector3D34);
    double d36 = org.apache.commons.math.geometry.Vector3D.angle(vector3D19, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b38 = vector3D37.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D37.negate();
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D39, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D42 = vector3D40.normalize();
    double d43 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D19, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b47 = vector3D46.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D48 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D48.scalarMultiply((-1.1752011936438014d));
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D59 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D59.subtract(1.0d, vector3D61);
    org.apache.commons.math.geometry.Vector3D vector3D63 = vector3D59.negate();
    org.apache.commons.math.geometry.Vector3D vector3D64 = vector3D57.add(0.0d, vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d66 = org.apache.commons.math.geometry.Vector3D.distance(vector3D57, vector3D65);
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D70 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D68.subtract(1.0d, vector3D70);
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D65.add(0.4515891947683017d, vector3D68);
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d74 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D72, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D75 = new org.apache.commons.math.geometry.Vector3D(31700.01079032924d, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D76 = vector3D52.add(vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D78 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D79 = new org.apache.commons.math.geometry.Vector3D(0.0d, vector3D19, 10.0d, vector3D50, 553.2695612089751d, vector3D52, (-0.5403023058681398d), vector3D78);
    double d80 = vector3D79.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 6.01028957990469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 560.1595026626907d);

  }

}
