
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5707963267948967d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("org.apache.commons.math.exception.MathArithmeticException: arithmetic exception", 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(2.2204460492503128E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.5235831619787987d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5235831619787987d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(5.03053281766543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3745682504445955d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    java.text.NumberFormat numberFormat1 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    java.lang.StringBuffer stringBuffer2 = null;
    java.text.FieldPosition fieldPosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = org.apache.commons.math.util.CompositeFormat.formatDouble(2.0d, numberFormat1, stringBuffer2, fieldPosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d1 = vector3D0.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.add(vector3D2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 1280.0002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1280.0002f);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.007881718315136817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.007881718315136819d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.37265895265884924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat2 = vector3DFormat1.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = org.apache.commons.math.util.CompositeFormat.parseNumber("org.apache.commons.math.exception.MathArithmeticException: arithmetic exception", numberFormat4, parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = null;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b8 = vector3D7.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D7, vector3D9);
    boolean b15 = vector3D6.equals((java.lang.Object)vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D16.subtract(1.0d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D21.subtract(1.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D21.negate();
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D19.add(0.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d28 = org.apache.commons.math.geometry.Vector3D.distance(vector3D19, vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D27.add(0.4515891947683017d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D35.subtract(1.0d, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D35.negate();
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b41 = vector3D40.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D42.subtract(1.0d, vector3D44);
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D42.negate();
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D40, vector3D42);
    boolean b48 = vector3D39.equals((java.lang.Object)vector3D47);
    boolean b49 = vector3D47.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D34, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D51 = vector3D14.subtract(vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b54 = vector3D53.isInfinite();
    double d55 = vector3D53.getNormInf();
    double d56 = vector3D53.getX();
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D50.subtract(1.9138920484170784E240d, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D58 = new org.apache.commons.math.geometry.Vector3D((-0.8207187468572497d), vector3D57);
    // The following exception was thrown during execution in test generation
    try {
      double d59 = org.apache.commons.math.geometry.Vector3D.distance(vector3D0, vector3D58);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.9995350933713548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.183294335688171d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D8 = vector3DFormat6.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    long long2 = org.apache.commons.math.util.FastMath.max(11013L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11013L);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    double d4 = vector3D3.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b10 = vector3D9.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D5.add(vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D12.subtract(1.0d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D12.negate();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b18 = vector3D17.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D17, vector3D19);
    boolean b25 = vector3D16.equals((java.lang.Object)vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.subtract(1.0d, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D31.negate();
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D29.add(0.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d38 = org.apache.commons.math.geometry.Vector3D.distance(vector3D29, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D37.add(0.4515891947683017d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b51 = vector3D50.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D52.subtract(1.0d, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D52.negate();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D50, vector3D52);
    boolean b58 = vector3D49.equals((java.lang.Object)vector3D57);
    boolean b59 = vector3D57.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D44, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D24.subtract(vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D11.add(vector3D61);
    double d63 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D62);
    org.apache.commons.math.geometry.Vector3D vector3D65 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D66 = vector3D3.subtract((-0.1484262695746856d), vector3D65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 2.0d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    int i1 = org.apache.commons.math.util.FastMath.round(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    double d2 = org.apache.commons.math.util.FastMath.max(11.591953275521524d, 2.2083244963961874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.591953275521524d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(21.87969552836667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.779228058651983d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    long long2 = org.apache.commons.math.util.FastMath.min(2L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(21.87969552836667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.677573679629929d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(9.999999f, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = new org.apache.commons.math.geometry.Vector3DFormat();
    java.lang.String str1 = vector3DFormat0.getPrefix();
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D4 = vector3DFormat0.parse("", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{"+ "'", str1.equals("{"));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(15.98181816198315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.463618665853949d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(50.156866123436046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.065270675861008E21d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.10120878892729965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.2905696787920595d));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(6.065270675861008E21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.065270675861008E21d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(5.298292365610485d, (-3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.298292365610484d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D0.negate();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D5, vector3D7);
    boolean b13 = vector3D4.equals((java.lang.Object)vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D17.add(0.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d26 = org.apache.commons.math.geometry.Vector3D.distance(vector3D17, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D25.add(0.4515891947683017d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D33.subtract(1.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D33.negate();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b39 = vector3D38.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D40.negate();
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D38, vector3D40);
    boolean b46 = vector3D37.equals((java.lang.Object)vector3D45);
    boolean b47 = vector3D45.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D32, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D12.subtract(vector3D48);
    double d50 = vector3D12.getZ();
    boolean b51 = vector3D12.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(11013.232920103323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D((-0.9626679031063985d), Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.6863667326046964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 39.32591697643341d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.14952592214835292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15008372881811155d));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", (-127));
    java.lang.Object obj4 = mathParseException2.getContext("hi!");
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathParseException2.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj4);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(4.183294335688171d, 0.8869540490871268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3618674986108927d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.MathParseException mathParseException5 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    mathParseException2.addSuppressed((java.lang.Throwable)mathParseException5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathParseException2);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException9 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj11 = mathRuntimeException9.getContext("hi!");
    java.lang.Throwable[] throwable_array12 = mathRuntimeException9.getSuppressed();
    mathParseException2.addMessage(localizable8, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathParseException mathParseException16 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.MathParseException mathParseException19 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    mathParseException16.addSuppressed((java.lang.Throwable)mathParseException19);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathParseException16);
    mathParseException2.addSuppressed((java.lang.Throwable)mathRuntimeException21);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str23 = mathParseException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(39.32591697643341d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 39.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b2 = vector3D1.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D3.subtract(1.0d, vector3D5);
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D3.negate();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D1, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D3.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b12 = vector3D11.isNaN();
    double d13 = vector3D11.getNorm1();
    double d14 = vector3D11.getY();
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D3.subtract(0.4515891947683017d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D16 = new org.apache.commons.math.geometry.Vector3D((-0.49321676688550387d), vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D11, vector3D17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2.2204460492503128E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.04404483512441942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b14 = vector3D13.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D15.negate();
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D13, vector3D15);
    boolean b21 = vector3D12.equals((java.lang.Object)vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D28.negate();
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d35 = org.apache.commons.math.geometry.Vector3D.distance(vector3D26, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D37.subtract(1.0d, vector3D39);
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D34.add(0.4515891947683017d, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d43 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D41, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D44.subtract(1.0d, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D44.negate();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b50 = vector3D49.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = vector3D51.subtract(1.0d, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D51.negate();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D49, vector3D51);
    boolean b57 = vector3D48.equals((java.lang.Object)vector3D56);
    double d58 = org.apache.commons.math.geometry.Vector3D.angle(vector3D41, vector3D48);
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D62.subtract(1.0d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D67 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D70 = vector3D67.subtract(1.0d, vector3D69);
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D67.negate();
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D65.add(0.0d, vector3D71);
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d74 = org.apache.commons.math.geometry.Vector3D.distance(vector3D65, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D78 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D79 = vector3D76.subtract(1.0d, vector3D78);
    org.apache.commons.math.geometry.Vector3D vector3D80 = vector3D73.add(0.4515891947683017d, vector3D76);
    boolean b82 = vector3D73.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D84 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D86 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D87 = vector3D84.subtract(1.0d, vector3D86);
    org.apache.commons.math.geometry.Vector3D vector3D88 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b89 = vector3D88.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D90 = vector3D84.add(vector3D88);
    org.apache.commons.math.geometry.Vector3D vector3D91 = new org.apache.commons.math.geometry.Vector3D((-0.21382762205541475d), vector3D41, (-0.21382762205541475d), vector3D60, 12.47321021965828d, vector3D73, 4.605170185988092d, vector3D84);
    double d92 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D20, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D94 = vector3D60.scalarMultiply(3.1415926535897936d);
    org.apache.commons.math.geometry.Vector3D vector3D95 = vector3D7.subtract(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D95);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.006664936397569841d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0485759E7f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0485759E7f);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-100.00001f), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1600.0001f));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    org.apache.commons.math.geometry.Vector3D vector3D3 = new org.apache.commons.math.geometry.Vector3D(1.4189319546324293d, 130622.0136085516d, (-2.0d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException1 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException2 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException1);
    java.lang.Throwable[] throwable_array3 = mathRuntimeException2.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array3);
    java.lang.Object obj6 = mathArithmeticException4.getContext("{0; 1; 0}");
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj6);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.ZERO;
    boolean b1 = vector3D0.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D5.add(0.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d14 = org.apache.commons.math.geometry.Vector3D.distance(vector3D5, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D16.subtract(1.0d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D13.add(0.4515891947683017d, vector3D16);
    boolean b22 = vector3D13.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = org.apache.commons.math.geometry.Vector3D.angle(vector3D0, vector3D24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math.util.CompositeFormat.parseNextCharacter("hi!-1-0-0hi!", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d1 = vector3D0.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D0, vector3D2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.0959782418713524d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-100.00001f), 20.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000004f);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "");
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D4.subtract(1.0d, vector3D6);
    double d8 = vector3D7.getNormSq();
    java.lang.String str9 = vector3DFormat3.format(vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b11 = vector3D10.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D12.subtract(1.0d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D12.negate();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D10, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D12.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b21 = vector3D20.isNaN();
    double d22 = vector3D20.getNorm1();
    double d23 = vector3D20.getY();
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D12.subtract(0.4515891947683017d, vector3D20);
    java.lang.String str25 = vector3DFormat3.format(vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.NaN;
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D26.orthogonal();
    java.lang.StringBuffer stringBuffer28 = null;
    java.text.FieldPosition fieldPosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer30 = vector3DFormat3.format(vector3D27, stringBuffer28, fieldPosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!000hi!"+ "'", str9.equals("hi!000hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!100hi!"+ "'", str25.equals("hi!100hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-0.9999999f), 0.006664837710772155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.9999998f));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.4161468365471424d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4161468365471424d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.7862878632844705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.8402785435782614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    long long2 = org.apache.commons.math.util.FastMath.max(2L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-1.4515891947683017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4515891947683017d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math.util.CompositeFormat.parseNextCharacter("; ", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.9999998f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.9999998f);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.7784448564718103d, (-1.5707963267948963d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7784448564718103d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat2 = vector3DFormat1.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    java.lang.String str6 = vector3DFormat3.format(vector3D5);
    java.lang.String str7 = vector3DFormat3.getPrefix();
    java.text.NumberFormat numberFormat8 = vector3DFormat3.getFormat();
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = org.apache.commons.math.util.CompositeFormat.parseNumber("hi!100hi!", numberFormat8, parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "{0; 1; 0}"+ "'", str6.equals("{0; 1; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{"+ "'", str7.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.8207187468572497d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4401152093740847d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.04404483512441942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.044016386674239266d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    int i2 = org.apache.commons.math.util.FastMath.max(6, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(20.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1024);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-2.1762039906336557d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.295885212533946d));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat2 = vector3DFormat1.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = org.apache.commons.math.util.CompositeFormat.formatDouble((-0.9626679031063985d), numberFormat4, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.8402785435782614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9913289158005998d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.MINUS_J;
    org.apache.commons.math.geometry.Vector3D vector3D3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D4 = new org.apache.commons.math.geometry.Vector3D(0.4401152093740847d, vector3D1, 0.7400203856183465d, vector3D3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(20480.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.5961484E34f);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position -127)", "hi!100hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(4.605170185988092d, 4828870.932942649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(9.999999f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-1600.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2207031E-4f);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 20);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 127);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-0.9999999f), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0001523125762564d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = new org.apache.commons.math.geometry.Vector3D(12.47321021965828d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b9 = vector3D8.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D10, vector3D11);
    boolean b13 = vector3D12.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D15.negate();
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b21 = vector3D20.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D20, vector3D22);
    boolean b28 = vector3D19.equals((java.lang.Object)vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D34.subtract(1.0d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D34.negate();
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D32.add(0.0d, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d41 = org.apache.commons.math.geometry.Vector3D.distance(vector3D32, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D43.subtract(1.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D40.add(0.4515891947683017d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = vector3D48.subtract(1.0d, vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D48.negate();
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b54 = vector3D53.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D55.subtract(1.0d, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D59 = vector3D55.negate();
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D53, vector3D55);
    boolean b61 = vector3D52.equals((java.lang.Object)vector3D60);
    boolean b62 = vector3D60.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D47, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D64 = vector3D27.subtract(vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b67 = vector3D66.isInfinite();
    double d68 = vector3D66.getNormInf();
    double d69 = vector3D66.getX();
    org.apache.commons.math.geometry.Vector3D vector3D70 = vector3D63.subtract(1.9138920484170784E240d, vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D73 = new org.apache.commons.math.geometry.Vector3D(100.0d, 6.123233995736766E-17d);
    double d74 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D70, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b77 = vector3D76.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D78 = vector3D76.negate();
    org.apache.commons.math.geometry.Vector3D vector3D79 = new org.apache.commons.math.geometry.Vector3D(1.7453292519943295d, vector3D4, 50.156866123436046d, vector3D12, 1.1241171695718353d, vector3D73, 11.591953275521524d, vector3D78);
    org.apache.commons.math.geometry.Vector3D vector3D80 = vector3D73.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.9138920484170784E240d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b14 = vector3D13.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D15.negate();
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D13, vector3D15);
    boolean b21 = vector3D12.equals((java.lang.Object)vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D27.subtract(1.0d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D27.negate();
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D25.add(0.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d34 = org.apache.commons.math.geometry.Vector3D.distance(vector3D25, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D36.subtract(1.0d, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D33.add(0.4515891947683017d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D41.subtract(1.0d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D41.negate();
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b47 = vector3D46.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = vector3D48.subtract(1.0d, vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D48.negate();
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D46, vector3D48);
    boolean b54 = vector3D45.equals((java.lang.Object)vector3D53);
    boolean b55 = vector3D53.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D40, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D20.subtract(vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D58.subtract(1.0d, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D66 = vector3D63.subtract(1.0d, vector3D65);
    org.apache.commons.math.geometry.Vector3D vector3D67 = vector3D63.negate();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D61.add(0.0d, vector3D67);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d70 = org.apache.commons.math.geometry.Vector3D.distance(vector3D61, vector3D69);
    org.apache.commons.math.geometry.Vector3D vector3D72 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D74 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D72.subtract(1.0d, vector3D74);
    org.apache.commons.math.geometry.Vector3D vector3D76 = vector3D69.add(0.4515891947683017d, vector3D72);
    org.apache.commons.math.geometry.Vector3D vector3D77 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d78 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D76, vector3D77);
    org.apache.commons.math.geometry.Vector3D vector3D79 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D81 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D82 = vector3D79.subtract(1.0d, vector3D81);
    org.apache.commons.math.geometry.Vector3D vector3D83 = vector3D79.negate();
    org.apache.commons.math.geometry.Vector3D vector3D84 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b85 = vector3D84.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D86 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D88 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D89 = vector3D86.subtract(1.0d, vector3D88);
    org.apache.commons.math.geometry.Vector3D vector3D90 = vector3D86.negate();
    org.apache.commons.math.geometry.Vector3D vector3D91 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D84, vector3D86);
    boolean b92 = vector3D83.equals((java.lang.Object)vector3D91);
    double d93 = org.apache.commons.math.geometry.Vector3D.angle(vector3D76, vector3D83);
    double d94 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D57, vector3D83);
    org.apache.commons.math.geometry.Vector3D vector3D95 = vector3D7.subtract(vector3D83);
    boolean b96 = vector3D95.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    double d2 = org.apache.commons.math.util.FastMath.min(4.349658900079457d, 0.8869540490871268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8869540490871268d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b3 = vector3D2.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D4, vector3D5);
    boolean b7 = vector3D6.isNaN();
    double d8 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D1, vector3D6);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b15 = vector3D14.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D16.subtract(1.0d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D16.negate();
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D14, vector3D16);
    boolean b22 = vector3D13.equals((java.lang.Object)vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D28.negate();
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d35 = org.apache.commons.math.geometry.Vector3D.distance(vector3D26, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D37.subtract(1.0d, vector3D39);
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D34.add(0.4515891947683017d, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D42.subtract(1.0d, vector3D44);
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D42.negate();
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b48 = vector3D47.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D49.subtract(1.0d, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D49.negate();
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D47, vector3D49);
    boolean b55 = vector3D46.equals((java.lang.Object)vector3D54);
    boolean b56 = vector3D54.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D41, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D21.subtract(vector3D57);
    double d59 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D1, vector3D58);
    org.apache.commons.math.geometry.Vector3D vector3D61 = null;
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b65 = vector3D64.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D66 = vector3D64.negate();
    double d67 = vector3D66.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D68 = new org.apache.commons.math.geometry.Vector3D(Double.NaN, vector3D66);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D69 = new org.apache.commons.math.geometry.Vector3D(0.4515891947683017d, vector3D1, 2.5235831619787987d, vector3D61, (-0.49321676688550387d), vector3D66);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.7031839360032603E-108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7031839360032603E-108d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.8402785435782614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2648835625658266d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(3.779228058651983d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0397283278292364d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.44155542119252256d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.41493289811077083d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    org.apache.commons.math.geometry.Vector3D vector3D3 = new org.apache.commons.math.geometry.Vector3D(0.10120878892729965d, 5.298292365610485d, 1.4515891947683017d);
    org.apache.commons.math.geometry.Vector3D vector3D4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D3, vector3D4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat("hi!000hi!", "hi!", "");
    java.text.NumberFormat numberFormat5 = vector3DFormat4.getFormat();
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = org.apache.commons.math.util.CompositeFormat.formatDouble((-1.5574077246549023d), numberFormat5, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("hi!", "hi!000hi!100hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(4.183294335688171d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 239.68510989591562d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    org.apache.commons.math.exception.MathParseException mathParseException9 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b12 = vector3D11.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D11.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D13, vector3D14);
    mathParseException9.setContext("hi!", (java.lang.Object)vector3D15);
    double d17 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D6, vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.6863667326046964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.4161468365471424d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5381057602120832d));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.2648835625658266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23498007254053693d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.2648835625658266d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.5169658075432558d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.15894636691196196d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1596164816188535d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D4.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D7);
    mathParseException2.setContext("hi!", (java.lang.Object)vector3D8);
    mathParseException2.setContext("hi!000hi!", (java.lang.Object)20.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat2 = vector3DFormat1.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    java.lang.StringBuffer stringBuffer5 = null;
    java.text.FieldPosition fieldPosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer7 = org.apache.commons.math.util.CompositeFormat.formatDouble(0.0d, numberFormat4, stringBuffer5, fieldPosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat4);
    java.lang.String str7 = vector3DFormat6.getSuffix();
    java.lang.String str8 = vector3DFormat6.getSuffix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 23);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat1 = vector3DFormat0.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat2 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat1);
    java.text.NumberFormat numberFormat3 = vector3DFormat2.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat3);
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D7 = vector3DFormat4.parse("", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.0959985070130596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(9.99995459903963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22025.46579480671d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 23);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    int i2 = org.apache.commons.math.util.FastMath.max(4, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.7917418500127205d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1873746205585436d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.1920929E-7f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.9073486E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.9073486E-6f);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 0.9999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.007881718315136819d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00788171831513682d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj7 = mathRuntimeException5.getContext("hi!");
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.MathParseException mathParseException11 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 2.220446049250313E-16d };
    mathParseException11.addMessage(localizable12, obj_array14);
    mathRuntimeException5.addMessage(localizable8, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array14);
    mathParseException2.addMessage(localizable3, obj_array14);
    java.lang.Object obj20 = mathParseException2.getContext("}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj20);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1024, 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1024);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-5.010894868147209d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9557769629858023d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 0.3726589526588492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3726589526588492d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("hi!(NaN); (NaN); 0.41hi!000hi!000hi!", "org.apache.commons.math.exception.MathArithmeticException: arithmetic exception", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D5.negate();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D3.add(0.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d12 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D11.add(0.4515891947683017d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b25 = vector3D24.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D26.negate();
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D24, vector3D26);
    boolean b32 = vector3D23.equals((java.lang.Object)vector3D31);
    boolean b33 = vector3D31.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D18, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D36.subtract(1.0d, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D41.subtract(1.0d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D41.negate();
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D39.add(0.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d48 = org.apache.commons.math.geometry.Vector3D.distance(vector3D39, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D50.subtract(1.0d, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D54 = vector3D47.add(0.4515891947683017d, vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d56 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D54, vector3D55);
    org.apache.commons.math.geometry.Vector3D vector3D57 = new org.apache.commons.math.geometry.Vector3D(31700.01079032924d, vector3D55);
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D55.negate();
    double d59 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D31, vector3D55);
    java.lang.String str60 = vector3D31.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "{0; 0; 0}"+ "'", str60.equals("{0; 0; 0}"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat1 = vector3DFormat0.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat2 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat1);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat1);
    java.lang.String str4 = vector3DFormat3.getSeparator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "; "+ "'", str4.equals("; "));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(2.23606797749979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.786749131547214d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.007881718315136819d, (-0.21382762205541475d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.007881718315136819d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0066649363975698405d, (-15.999999999999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0066649363975698405d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.2207031E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4551915E-11f);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4E-45f, 1.0485759E7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    org.apache.commons.math.geometry.Vector3D vector3D3 = new org.apache.commons.math.geometry.Vector3D(1.4189319546324293d, 0.0d, 6.01028957990469d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-5.010894868147209d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.49321676688550387d), (-1.4515891947683017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.49321676688550387d));

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat1 = vector3DFormat0.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat2 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat1);
    java.lang.String str3 = vector3DFormat2.getPrefix();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.NEGATIVE_INFINITY;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b8 = vector3D7.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D7.negate();
    double d10 = vector3D9.getNorm1();
    double d11 = vector3D9.getX();
    org.apache.commons.math.geometry.Vector3D vector3D12 = new org.apache.commons.math.geometry.Vector3D(1.0959782418713526d, vector3D5, (-1.0d), vector3D9);
    double d13 = vector3D9.getNorm();
    java.lang.StringBuffer stringBuffer14 = null;
    java.text.FieldPosition fieldPosition15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer16 = vector3DFormat2.format(vector3D9, stringBuffer14, fieldPosition15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{"+ "'", str3.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.509178478658057d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(11013.232874703393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9287285890885333d));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 572.9577951308232d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.MathParseException mathParseException5 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    mathParseException2.addSuppressed((java.lang.Throwable)mathParseException5);
    org.apache.commons.math.exception.MathParseException mathParseException9 = new org.apache.commons.math.exception.MathParseException("", 10);
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.NaN;
    mathParseException9.setContext("{", (java.lang.Object)vector3D11);
    java.lang.String str13 = mathParseException9.toString();
    java.util.Set set14 = mathParseException9.getContextKeys();
    mathParseException5.addSuppressed((java.lang.Throwable)mathParseException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)"+ "'", str13.equals("org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set14);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj3 = mathRuntimeException1.getContext("hi!");
    java.lang.Throwable[] throwable_array4 = mathRuntimeException1.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(15.98181816198315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.9640275800758169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0000000000000004d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.0959782418713524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3289478757332205d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D5.negate();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D3.add(0.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d12 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D11.add(0.4515891947683017d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d20 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D18, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D21.subtract(1.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D21.negate();
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b27 = vector3D26.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D28.negate();
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D26, vector3D28);
    boolean b34 = vector3D25.equals((java.lang.Object)vector3D33);
    double d35 = org.apache.commons.math.geometry.Vector3D.angle(vector3D18, vector3D25);
    double d36 = vector3D25.getDelta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == (-0.0d));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D(0.0d, 0.007881636713412105d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(9.99995459903963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8390962272925734d));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(3.924312772314825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.9999999f));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(4.677573679629929d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "");
    java.text.NumberFormat numberFormat5 = vector3DFormat4.getFormat();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = org.apache.commons.math.util.CompositeFormat.parseNumber("", numberFormat5, parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D2.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d10 = vector3D9.getNormInf();
    double d11 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D8, vector3D9);
    double d12 = vector3D9.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(11013L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 11013L);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!000hi!", "org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)");
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D6 = vector3DFormat3.parse("", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat7 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat8 = vector3DFormat7.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat9 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat8);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat10 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat8);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat11 = new org.apache.commons.math.geometry.Vector3DFormat("{0; 0; 0}", "{-1; -0; -0}", "hi!000hi!100hi!", numberFormat8);
    java.lang.StringBuffer stringBuffer12 = null;
    java.text.FieldPosition fieldPosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer14 = org.apache.commons.math.util.CompositeFormat.formatDouble(1.7862878632844705d, numberFormat8, stringBuffer12, fieldPosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 103);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("{", 103);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.23498007254053693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3335982602488075d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.9454628865479908d, 4.509062855957621E52d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9454628865479908d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.10120878892729965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    double d2 = org.apache.commons.math.util.FastMath.min(6.361157470822649d, 0.007881718315136817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.007881718315136817d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.99627207622075d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.2207031E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(10.368471975422912d, 15.98181816198315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.368471975422914d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException1 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException2 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException1);
    java.lang.Throwable[] throwable_array3 = mathRuntimeException2.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array3);
    org.apache.commons.math.exception.MathParseException mathParseException7 = new org.apache.commons.math.exception.MathParseException("hi!000hi!", (-1));
    mathArithmeticException4.addSuppressed((java.lang.Throwable)mathParseException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!000hi!", "hi!", "");
    java.lang.String str4 = vector3DFormat3.getSuffix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(9.99995459903963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.543983015675462d));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!000hi!", "hi!", "");
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b10 = vector3D9.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D5.add(vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b13 = vector3D12.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D14.negate();
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D12, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D14.normalize();
    double d21 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D9, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D14.scalarMultiply(1.0d);
    double d24 = vector3D14.getX();
    java.lang.String str25 = vector3DFormat3.format(vector3D14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D27 = vector3DFormat3.parse("; ");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException");
    } catch (org.apache.commons.math.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!000hi!100hi!"+ "'", str25.equals("hi!000hi!100hi!"));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!000hi!000hi!", "; ");
    java.text.NumberFormat numberFormat5 = vector3DFormat4.getFormat();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = org.apache.commons.math.util.CompositeFormat.parseNumber("hi!000hi!100hi!", numberFormat5, parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.9999998f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.9999998f);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    double d4 = vector3D3.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b10 = vector3D9.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D5.add(vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D12.subtract(1.0d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D12.negate();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b18 = vector3D17.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D17, vector3D19);
    boolean b25 = vector3D16.equals((java.lang.Object)vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.subtract(1.0d, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D31.negate();
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D29.add(0.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d38 = org.apache.commons.math.geometry.Vector3D.distance(vector3D29, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D37.add(0.4515891947683017d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b51 = vector3D50.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D52.subtract(1.0d, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D52.negate();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D50, vector3D52);
    boolean b58 = vector3D49.equals((java.lang.Object)vector3D57);
    boolean b59 = vector3D57.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D44, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D24.subtract(vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D11.add(vector3D61);
    double d63 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D62);
    boolean b64 = vector3D3.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.8775950227445698d, 0.99627207622075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8780223006338796d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 103);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.6045824459415916d, (-1.1752011936438014d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.1752011936438014d));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.006664837710772155d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.006664837710772155d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", (-127));
    java.lang.Object obj4 = mathParseException2.getContext("hi!-1-0-0hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj4);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.3745682504445955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(5.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.373400766945016d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("{0; 0; -1}", "{-0.54; 0; 0}", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "hi!000hi!");
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3DFormat3.parse("hi!000hi!");
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D8 = vector3DFormat3.parse("org.apache.commons.math.exception.MathArithmeticException: arithmetic exception", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(vector3D5);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.8947809537146186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4467997683574076d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22025.46579480672d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.9073486E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.41614683654714235d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat2 = vector3DFormat1.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = org.apache.commons.math.util.CompositeFormat.formatDouble(0.0d, numberFormat4, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.CompositeFormat.parseAndIgnoreWhitespace("hi!100hi!", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.9999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.9999999f);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.3289478757332205d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.1241171695718353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8437641521554847d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException3 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException2);
    java.lang.Throwable[] throwable_array4 = mathRuntimeException3.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array4);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D10.subtract(1.0d, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D15.negate();
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D13.add(0.0d, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d22 = org.apache.commons.math.geometry.Vector3D.distance(vector3D13, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D24.subtract(1.0d, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D28 = vector3D21.add(0.4515891947683017d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d30 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D28, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D31 = new org.apache.commons.math.geometry.Vector3D(31700.01079032924d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D8.add(vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D32.orthogonal();
    mathArithmeticException6.setContext("hi!", (java.lang.Object)vector3D33);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str35 = mathArithmeticException6.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-1.1624473515096265d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    int i2 = org.apache.commons.math.util.FastMath.max(6, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.text.NumberFormat numberFormat6 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat7 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "; ", "{1hi!0hi!0hi!", numberFormat6);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat8 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat6);
    java.lang.String str9 = vector3DFormat8.getPrefix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{"+ "'", str9.equals("{"));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(4828870.932942649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4E-45f, (-1600.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-1600.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1600.0001f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.9604645E-8f, 7.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.960465E-8f);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position -127)", "hi!000hi!000hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException1 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException2 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException1);
    java.lang.Throwable[] throwable_array3 = mathRuntimeException2.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.MathParseException mathParseException8 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.MathParseException mathParseException11 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    mathParseException8.addSuppressed((java.lang.Throwable)mathParseException11);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathParseException8);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.MathParseException mathParseException17 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.MathParseException mathParseException20 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    mathParseException17.addSuppressed((java.lang.Throwable)mathParseException20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException22 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathParseException17);
    java.lang.Throwable[] throwable_array23 = mathParseException17.getSuppressed();
    mathParseException8.addMessage(localizable14, (java.lang.Object[])throwable_array23);
    mathArithmeticException4.addMessage(localizable5, (java.lang.Object[])throwable_array23);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str26 = mathArithmeticException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj3 = mathRuntimeException1.getContext("hi!");
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.MathParseException mathParseException7 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 2.220446049250313E-16d };
    mathParseException7.addMessage(localizable8, obj_array10);
    mathRuntimeException1.addMessage(localizable4, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathRuntimeException mathRuntimeException14 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D6.subtract(1.0d, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D6.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D4.add(0.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d13 = org.apache.commons.math.geometry.Vector3D.distance(vector3D4, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D12.add(0.4515891947683017d, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d21 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D19, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b28 = vector3D27.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D29.negate();
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D27, vector3D29);
    boolean b35 = vector3D26.equals((java.lang.Object)vector3D34);
    double d36 = org.apache.commons.math.geometry.Vector3D.angle(vector3D19, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D43.add(0.0d, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d52 = org.apache.commons.math.geometry.Vector3D.distance(vector3D43, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D51.add(0.4515891947683017d, vector3D54);
    boolean b60 = vector3D51.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D62.subtract(1.0d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b67 = vector3D66.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D62.add(vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D69 = new org.apache.commons.math.geometry.Vector3D((-0.21382762205541475d), vector3D19, (-0.21382762205541475d), vector3D38, 12.47321021965828d, vector3D51, 4.605170185988092d, vector3D62);
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b72 = vector3D71.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D75 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D76 = vector3D73.subtract(1.0d, vector3D75);
    org.apache.commons.math.geometry.Vector3D vector3D77 = vector3D73.negate();
    org.apache.commons.math.geometry.Vector3D vector3D78 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D71, vector3D73);
    double d79 = vector3D73.getNormInf();
    boolean b80 = vector3D73.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D81 = vector3D69.add(17.535976112208953d, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D82 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D84 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D85 = vector3D82.subtract(1.0d, vector3D84);
    double d86 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D73, vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 1.0d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!000hi!", "hi!", "");
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    java.lang.String str5 = vector3DFormat3.getSuffix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.149548905166106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4088991424073603d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.0485759E7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10485760);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-0.0f), (-12.251420287093742d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(5.03053281766543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 76.50399224559538d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.08080459173827936d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.629762071881088d));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math.util.CompositeFormat.parseNextCharacter("{0; 1; 0}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6863667326046964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8821018681969595d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.1748926318726323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-1.5574077246549023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.9870916136337441d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("}", "hi!(NaN); (NaN); 0.41hi!000hi!000hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.1241171695718353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    long long2 = org.apache.commons.math.util.FastMath.max(2L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    double d4 = vector3D3.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b10 = vector3D9.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D5.add(vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D12.subtract(1.0d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D12.negate();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b18 = vector3D17.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D17, vector3D19);
    boolean b25 = vector3D16.equals((java.lang.Object)vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.subtract(1.0d, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D31.negate();
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D29.add(0.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d38 = org.apache.commons.math.geometry.Vector3D.distance(vector3D29, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D37.add(0.4515891947683017d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b51 = vector3D50.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D52.subtract(1.0d, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D52.negate();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D50, vector3D52);
    boolean b58 = vector3D49.equals((java.lang.Object)vector3D57);
    boolean b59 = vector3D57.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D44, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D24.subtract(vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D11.add(vector3D61);
    double d63 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D62);
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D67 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D65.subtract(1.0d, vector3D67);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D69.subtract(1.0d, vector3D71);
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b74 = vector3D73.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D69.add(vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D77 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b78 = vector3D77.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D79 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D77);
    double d80 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D69, vector3D79);
    double d81 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D65, vector3D79);
    double d82 = vector3D79.getDelta();
    org.apache.commons.math.geometry.Vector3D vector3D83 = vector3D3.add((-2.1762039906336557d), vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat1 = vector3DFormat0.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat2 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat1);
    java.text.NumberFormat numberFormat3 = vector3DFormat2.getFormat();
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    java.lang.String str5 = vector3DFormat2.format(vector3D4);
    java.lang.String str6 = vector3DFormat2.getPrefix();
    java.text.NumberFormat numberFormat7 = vector3DFormat2.getFormat();
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D10 = vector3DFormat2.parse("hi!(NaN); (NaN); 0.41hi!000hi!000hi!", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{0; 1; 0}"+ "'", str5.equals("{0; 1; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "{"+ "'", str6.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.982441812995697E30d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.982441812995697E30d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException0 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj2 = mathRuntimeException0.getContext("");
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException4);
    java.lang.Throwable[] throwable_array6 = mathRuntimeException5.getSuppressed();
    mathRuntimeException0.addMessage(localizable3, (java.lang.Object[])throwable_array6);
    java.lang.Object obj9 = mathRuntimeException0.getContext("hi!100hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj9);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.14952592214835292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.14897427107648978d));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat2 = vector3DFormat1.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat2);
    java.lang.StringBuffer stringBuffer4 = null;
    java.text.FieldPosition fieldPosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = org.apache.commons.math.util.CompositeFormat.formatDouble(31700.01079032924d, numberFormat2, stringBuffer4, fieldPosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    long long2 = org.apache.commons.math.util.FastMath.max(2L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D(100.0d, 6.123233995736766E-17d);
    java.lang.String str3 = vector3D2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{0.86; -0.51; 0}"+ "'", str3.equals("{0.86; -0.51; 0}"));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.8869540490871268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4277236507885163d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat2 = vector3DFormat1.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat2);
    java.lang.StringBuffer stringBuffer4 = null;
    java.text.FieldPosition fieldPosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = org.apache.commons.math.util.CompositeFormat.formatDouble(1.1134648177323592d, numberFormat2, stringBuffer4, fieldPosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.0d));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D(553.2695612089751d, 121.24051417514252d);
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b4 = vector3D3.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D3.negate();
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D5, vector3D6);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b13 = vector3D12.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D8.add(vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b16 = vector3D15.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D17.subtract(1.0d, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D17.negate();
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D15, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D17.normalize();
    double d24 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D12, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = vector3D25.subtract(1.0d, vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D30.negate();
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D28.add(0.0d, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d37 = org.apache.commons.math.geometry.Vector3D.distance(vector3D28, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = vector3D39.subtract(1.0d, vector3D41);
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D36.add(0.4515891947683017d, vector3D39);
    boolean b45 = vector3D36.equals((java.lang.Object)false);
    double d46 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D17, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D36.negate();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b50 = vector3D49.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = vector3D51.subtract(1.0d, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D51.negate();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D49, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D51.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d59 = vector3D58.getNormInf();
    double d60 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D57, vector3D58);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D36.add(2.0d, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D62.subtract(1.0d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b67 = vector3D66.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D62.add(vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b70 = vector3D69.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D74 = vector3D71.subtract(1.0d, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D71.negate();
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D69, vector3D71);
    org.apache.commons.math.geometry.Vector3D vector3D77 = vector3D71.normalize();
    double d78 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D66, vector3D71);
    org.apache.commons.math.geometry.Vector3D vector3D79 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    org.apache.commons.math.geometry.Vector3D vector3D80 = vector3D71.add(vector3D79);
    double d81 = org.apache.commons.math.geometry.Vector3D.distance(vector3D61, vector3D80);
    double d82 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D7, vector3D80);
    org.apache.commons.math.geometry.Vector3D vector3D83 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D2, vector3D80);
    double d84 = vector3D80.getDelta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 2.23606797749979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.7853981633974482d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat7 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "");
    java.text.NumberFormat numberFormat8 = vector3DFormat7.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat9 = new org.apache.commons.math.geometry.Vector3DFormat("hi!(NaN); (NaN); 0.41hi!000hi!000hi!", "{1hi!0hi!0hi!", "", numberFormat8);
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = org.apache.commons.math.util.CompositeFormat.parseNumber("hi!000hi!100hi!", numberFormat8, parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.4515891947683017d, (-0.7921204236492381d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7921204236492381d));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.text.NumberFormat numberFormat6 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat7 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "; ", "{1hi!0hi!0hi!", numberFormat6);
    java.text.NumberFormat numberFormat8 = vector3DFormat7.getFormat();
    java.lang.String str9 = vector3DFormat7.getSuffix();
    java.lang.String str10 = vector3DFormat7.getPrefix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "; "+ "'", str9.equals("; "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.CompositeFormat.parseAndIgnoreWhitespace("org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position -127)", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(4.183294335688171d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3361535332629453d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D0.negate();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D5, vector3D7);
    boolean b13 = vector3D4.equals((java.lang.Object)vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D17.add(0.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d26 = org.apache.commons.math.geometry.Vector3D.distance(vector3D17, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D25.add(0.4515891947683017d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D33.subtract(1.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D33.negate();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b39 = vector3D38.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D40.negate();
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D38, vector3D40);
    boolean b46 = vector3D37.equals((java.lang.Object)vector3D45);
    boolean b47 = vector3D45.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D32, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D12.subtract(vector3D48);
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b52 = vector3D51.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D51.negate();
    double d54 = vector3D53.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D12.subtract(0.7853981633974482d, vector3D53);
    double d56 = vector3D55.getDelta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.16637286677649443d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1532695423345385d));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d1 = vector3D0.getNormInf();
    double d2 = vector3D0.getZ();
    boolean b3 = vector3D0.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(39.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    java.text.NumberFormat numberFormat4 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat7 = new org.apache.commons.math.geometry.Vector3DFormat("", "hi!(NaN); (NaN); 0.41hi!000hi!000hi!", "hi!", numberFormat4);
    java.lang.StringBuffer stringBuffer8 = null;
    java.text.FieldPosition fieldPosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer10 = org.apache.commons.math.util.CompositeFormat.formatDouble(0.6045824459415916d, numberFormat4, stringBuffer8, fieldPosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathParseException mathParseException3 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D7, vector3D8);
    mathParseException3.setContext("hi!", (java.lang.Object)vector3D9);
    java.lang.Throwable[] throwable_array11 = mathParseException3.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6028395607646925d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8447611153280359d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D0.negate();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D5, vector3D7);
    boolean b13 = vector3D4.equals((java.lang.Object)vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D17.add(0.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d26 = org.apache.commons.math.geometry.Vector3D.distance(vector3D17, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D25.add(0.4515891947683017d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D33.subtract(1.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D33.negate();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b39 = vector3D38.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D40.negate();
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D38, vector3D40);
    boolean b46 = vector3D37.equals((java.lang.Object)vector3D45);
    boolean b47 = vector3D45.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D32, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D12.subtract(vector3D48);
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D50.subtract(1.0d, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D55.subtract(1.0d, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D59 = vector3D55.negate();
    org.apache.commons.math.geometry.Vector3D vector3D60 = vector3D53.add(0.0d, vector3D59);
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d62 = org.apache.commons.math.geometry.Vector3D.distance(vector3D53, vector3D61);
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D67 = vector3D64.subtract(1.0d, vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D61.add(0.4515891947683017d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d70 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D68, vector3D69);
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D74 = vector3D71.subtract(1.0d, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D71.negate();
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b77 = vector3D76.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D78 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D80 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D81 = vector3D78.subtract(1.0d, vector3D80);
    org.apache.commons.math.geometry.Vector3D vector3D82 = vector3D78.negate();
    org.apache.commons.math.geometry.Vector3D vector3D83 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D76, vector3D78);
    boolean b84 = vector3D75.equals((java.lang.Object)vector3D83);
    double d85 = org.apache.commons.math.geometry.Vector3D.angle(vector3D68, vector3D75);
    double d86 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D49, vector3D75);
    org.apache.commons.math.geometry.Vector3D vector3D87 = org.apache.commons.math.geometry.Vector3D.MINUS_K;
    double d88 = vector3D87.getAlpha();
    org.apache.commons.math.geometry.Vector3D vector3D89 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D49, vector3D87);
    double d90 = vector3D89.getNormSq();
    double d91 = vector3D89.getNorm();
    org.apache.commons.math.geometry.Vector3D vector3D92 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d93 = org.apache.commons.math.geometry.Vector3D.angle(vector3D89, vector3D92);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(25.29926205545297d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.2070624729926227E31d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    java.text.NumberFormat numberFormat1 = null;
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number3 = org.apache.commons.math.util.CompositeFormat.parseNumber("", numberFormat1, parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.5403023058681398d), 0.23498007254053693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5891877597316367d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-2.220446E-16f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.646978E-23f);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.4551915E-11f, 20.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000004f);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-1600.0001f), 1.4551915E-11f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1600.0001f));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.5707963267948967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6487032076459384d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "hi!000hi!");
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3DFormat3.parse("hi!000hi!");
    java.lang.String str6 = vector3DFormat3.getSuffix();
    java.lang.String str7 = vector3DFormat3.getPrefix();
    java.lang.String str8 = vector3DFormat3.getSeparator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!000hi!"+ "'", str8.equals("hi!000hi!"));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException0);
    java.lang.Throwable[] throwable_array2 = mathRuntimeException1.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj7 = mathRuntimeException5.getContext("hi!");
    java.lang.Throwable[] throwable_array8 = mathRuntimeException5.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, (java.lang.Object[])throwable_array8);
    java.lang.Throwable[] throwable_array10 = mathArithmeticException9.getSuppressed();
    mathRuntimeException1.addMessage(localizable3, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 0.23498007254053693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.1489693612296637d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07448468061483185d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b8 = vector3D7.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D7, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D9.normalize();
    double d16 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D4, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D17.subtract(1.0d, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b22 = vector3D21.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D17.add(vector3D21);
    double d24 = vector3D23.getNorm();
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = vector3D25.subtract(1.0d, vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D30.negate();
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D28.add(0.0d, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d37 = org.apache.commons.math.geometry.Vector3D.distance(vector3D28, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = vector3D39.subtract(1.0d, vector3D41);
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D36.add(0.4515891947683017d, vector3D39);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D23.subtract(vector3D43);
    double d45 = vector3D23.getX();
    double d46 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D4, vector3D23);
    double d47 = vector3D23.getZ();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.07448468061483185d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07455372623209496d));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.1596164816188535d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.15894636691196196d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    int i2 = org.apache.commons.math.util.FastMath.min(10485760, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    long long2 = org.apache.commons.math.util.FastMath.min(2L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("{0.55; 0; 0}", "hi!-1-0-0hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.MathParseException mathParseException6 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b9 = vector3D8.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D10, vector3D11);
    mathParseException6.setContext("hi!", (java.lang.Object)vector3D12);
    java.lang.Throwable[] throwable_array14 = mathParseException6.getSuppressed();
    mathParseException2.addMessage(localizable3, (java.lang.Object[])throwable_array14);
    mathParseException2.setContext("{0; 1; 0}", (java.lang.Object)(short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("", 10);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.NaN;
    mathParseException2.setContext("{", (java.lang.Object)vector3D4);
    java.lang.Object obj7 = mathParseException2.getContext("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj7);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat4);
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3DFormat6.parse("{1; 0; 0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(vector3D8);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.0641566219261902d, (-0.14897427107648978d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0745336892960275d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(6.01028957990469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D4.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D7);
    mathParseException2.setContext("hi!", (java.lang.Object)vector3D8);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException11 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj13 = mathRuntimeException11.getContext("");
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException16 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException15);
    java.lang.Throwable[] throwable_array17 = mathRuntimeException16.getSuppressed();
    mathRuntimeException11.addMessage(localizable14, (java.lang.Object[])throwable_array17);
    mathParseException2.addMessage(localizable10, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.2648835625658266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9651229903822252d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!100hi!", "{", "hi!000hi!000hi!");

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(6.361157470822649d, 0.4088991424073603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.130910656551407d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(4.509062855957621E52d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.509062855957621E52d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-5.010894868147209d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.2499195710293756d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D((-0.9870916136337441d), (-5.0d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.0959782418713524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.15008372881811155d), 0.786749131547214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.15008372881811152d));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = vector3D0.negate();
    double d3 = vector3D2.getNorm1();
    double d4 = vector3D2.getX();
    java.text.NumberFormat numberFormat5 = null;
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat5);
    boolean b7 = vector3D2.equals((java.lang.Object)numberFormat5);
    boolean b8 = vector3D2.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.23606797749979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(4.509062855957621E52d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b9 = vector3D8.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D10 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D8);
    double d11 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D0, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.NEGATIVE_INFINITY;
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b16 = vector3D15.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D15.negate();
    double d18 = vector3D17.getNorm1();
    double d19 = vector3D17.getX();
    org.apache.commons.math.geometry.Vector3D vector3D20 = new org.apache.commons.math.geometry.Vector3D(1.0959782418713526d, vector3D13, (-1.0d), vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D22 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d23 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D13, vector3D22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    int i2 = org.apache.commons.math.util.FastMath.min(10, (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-23));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.5707963267948966d, 1.555816330381613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948963d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-1600.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1600.0f));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.9073486E-6f, 20.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9073486E-6f);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-1.5707963267948963d), 4.605170185988092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.605170185988092d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("}", "hi!100hi!", "{0; 0; 0}");
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D5 = vector3DFormat3.parse("org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position -127)");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException");
    } catch (org.apache.commons.math.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, 11013L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11013L);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.3361535332629453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.007881636713412105d, 0.04404483512441942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.007881636713412105d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.4088991424073603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4342886348456434d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D3 = vector3DFormat0.parse("hi!-1-0-0hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat0);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "");
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D6 = vector3DFormat3.parse("org.apache.commons.math.exception.MathRuntimeException: ", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D5 = new org.apache.commons.math.geometry.Vector3D(12.47321021965828d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b7 = vector3D6.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D8.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D5.subtract(vector3D8);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat16 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.lang.String str17 = vector3DFormat16.getPrefix();
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3DFormat16.parse("{-0.54; 0; 0}");
    double d20 = org.apache.commons.math.geometry.Vector3D.distance(vector3D8, vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{"+ "'", str17.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.54d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.04404483512441942d, 0.007881718315136819d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.007881718315136819d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.34069565035013766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.27536225542463216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.962326765130391d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.6595834124225789d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.7031839360032603E-108d, 50.156866123436046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8E-45f);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4551915E-11f, (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4551915E-11f));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat("hi!000hi!", "hi!", "");
    java.text.NumberFormat numberFormat5 = vector3DFormat4.getFormat();
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = org.apache.commons.math.util.CompositeFormat.formatDouble(0.0d, numberFormat5, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D2.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b14 = vector3D13.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D9.add(vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b17 = vector3D16.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D18.subtract(1.0d, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D18.negate();
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D16, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D18.normalize();
    double d25 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D13, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D18.scalarMultiply(1.0d);
    double d28 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D2, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D2.scalarMultiply(Double.POSITIVE_INFINITY);
    org.apache.commons.math.exception.MathParseException mathParseException33 = new org.apache.commons.math.exception.MathParseException("", 10);
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.NaN;
    mathParseException33.setContext("{", (java.lang.Object)vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D35.orthogonal();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D38.subtract(1.0d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b43 = vector3D42.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D38.add(vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b46 = vector3D45.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D47.subtract(1.0d, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D51 = vector3D47.negate();
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D45, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D47.normalize();
    double d54 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D42, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D47.scalarMultiply(1.0d);
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D59 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = vector3D57.subtract(1.0d, vector3D59);
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b62 = vector3D61.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D63 = vector3D57.add(vector3D61);
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b65 = vector3D64.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D69 = vector3D66.subtract(1.0d, vector3D68);
    org.apache.commons.math.geometry.Vector3D vector3D70 = vector3D66.negate();
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D64, vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D66.normalize();
    double d73 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D61, vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D66.scalarMultiply(1.0d);
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b77 = vector3D76.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D78 = vector3D66.subtract(vector3D76);
    double d79 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D47, vector3D78);
    double d80 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D35, vector3D78);
    double d81 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D2, vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d80, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D6.subtract(1.0d, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D6.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D4.add(0.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d13 = org.apache.commons.math.geometry.Vector3D.distance(vector3D4, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D12.add(0.4515891947683017d, vector3D15);
    boolean b21 = vector3D12.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D23 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D24 = new org.apache.commons.math.geometry.Vector3D(0.0d, vector3D12, 3.463618665853949d, vector3D23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D5.negate();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D3.add(0.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d12 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D11.add(0.4515891947683017d, vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b25 = vector3D24.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D26.negate();
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D24, vector3D26);
    boolean b32 = vector3D23.equals((java.lang.Object)vector3D31);
    boolean b33 = vector3D31.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D18, vector3D31);
    double d35 = vector3D31.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b37 = vector3D36.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D38.subtract(1.0d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D42 = vector3D38.negate();
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D36, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D38.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d46 = vector3D45.getNormInf();
    double d47 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D44, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b49 = vector3D48.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D50.subtract(1.0d, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D54 = vector3D50.negate();
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D48, vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D50.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D58.subtract(1.0d, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D66 = vector3D63.subtract(1.0d, vector3D65);
    org.apache.commons.math.geometry.Vector3D vector3D67 = vector3D63.negate();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D61.add(0.0d, vector3D67);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d70 = org.apache.commons.math.geometry.Vector3D.distance(vector3D61, vector3D69);
    org.apache.commons.math.geometry.Vector3D vector3D72 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D74 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D72.subtract(1.0d, vector3D74);
    org.apache.commons.math.geometry.Vector3D vector3D76 = vector3D69.add(0.4515891947683017d, vector3D72);
    double d77 = org.apache.commons.math.geometry.Vector3D.distance(vector3D57, vector3D76);
    double d78 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D56, vector3D76);
    double d79 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D45, vector3D76);
    double d80 = vector3D45.getDelta();
    // The following exception was thrown during execution in test generation
    try {
      double d81 = org.apache.commons.math.geometry.Vector3D.angle(vector3D31, vector3D45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 3.107111190368087d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.5707963267948966d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.49321676688550387d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7900949343187332d));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-1.1624473515096265d), 0.8947809537146186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2676663977950079d));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D0.negate();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D5, vector3D7);
    boolean b13 = vector3D4.equals((java.lang.Object)vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D20.subtract(1.0d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D20.negate();
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D18.add(0.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d27 = org.apache.commons.math.geometry.Vector3D.distance(vector3D18, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.4515891947683017d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d35 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D33, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D36.subtract(1.0d, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D36.negate();
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b42 = vector3D41.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D43.subtract(1.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D43.negate();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D41, vector3D43);
    boolean b49 = vector3D40.equals((java.lang.Object)vector3D48);
    double d50 = org.apache.commons.math.geometry.Vector3D.angle(vector3D33, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D59 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D59.subtract(1.0d, vector3D61);
    org.apache.commons.math.geometry.Vector3D vector3D63 = vector3D59.negate();
    org.apache.commons.math.geometry.Vector3D vector3D64 = vector3D57.add(0.0d, vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d66 = org.apache.commons.math.geometry.Vector3D.distance(vector3D57, vector3D65);
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D70 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D68.subtract(1.0d, vector3D70);
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D65.add(0.4515891947683017d, vector3D68);
    boolean b74 = vector3D65.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D78 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D79 = vector3D76.subtract(1.0d, vector3D78);
    org.apache.commons.math.geometry.Vector3D vector3D80 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b81 = vector3D80.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D82 = vector3D76.add(vector3D80);
    org.apache.commons.math.geometry.Vector3D vector3D83 = new org.apache.commons.math.geometry.Vector3D((-0.21382762205541475d), vector3D33, (-0.21382762205541475d), vector3D52, 12.47321021965828d, vector3D65, 4.605170185988092d, vector3D76);
    double d84 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D12, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D86 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b87 = vector3D86.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D88 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D90 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D91 = vector3D88.subtract(1.0d, vector3D90);
    org.apache.commons.math.geometry.Vector3D vector3D92 = vector3D88.negate();
    org.apache.commons.math.geometry.Vector3D vector3D93 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D86, vector3D88);
    org.apache.commons.math.geometry.Vector3D vector3D94 = vector3D88.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D95 = vector3D52.add(3.982441812995697E30d, vector3D88);
    double d96 = vector3D95.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 3.982441812995697E30d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-100.00001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00001f);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(39.32591697643341d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.271037950485821d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("{-1; -0; -0}", "", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(572.9577951308232d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 286.4788975654116d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = null;
    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D1.negate();
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b7 = vector3D6.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D8);
    boolean b14 = vector3D5.equals((java.lang.Object)vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D16.subtract(1.0d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D21.subtract(1.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D21.negate();
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D19.add(0.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d28 = org.apache.commons.math.geometry.Vector3D.distance(vector3D19, vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D27.add(0.4515891947683017d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d36 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D34, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D37.subtract(1.0d, vector3D39);
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D37.negate();
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b43 = vector3D42.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D44 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D44.subtract(1.0d, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D44.negate();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D42, vector3D44);
    boolean b50 = vector3D41.equals((java.lang.Object)vector3D49);
    double d51 = org.apache.commons.math.geometry.Vector3D.angle(vector3D34, vector3D41);
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D55.subtract(1.0d, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D63 = vector3D60.subtract(1.0d, vector3D62);
    org.apache.commons.math.geometry.Vector3D vector3D64 = vector3D60.negate();
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D58.add(0.0d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d67 = org.apache.commons.math.geometry.Vector3D.distance(vector3D58, vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D69.subtract(1.0d, vector3D71);
    org.apache.commons.math.geometry.Vector3D vector3D73 = vector3D66.add(0.4515891947683017d, vector3D69);
    boolean b75 = vector3D66.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D77 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D79 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D80 = vector3D77.subtract(1.0d, vector3D79);
    org.apache.commons.math.geometry.Vector3D vector3D81 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b82 = vector3D81.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D83 = vector3D77.add(vector3D81);
    org.apache.commons.math.geometry.Vector3D vector3D84 = new org.apache.commons.math.geometry.Vector3D((-0.21382762205541475d), vector3D34, (-0.21382762205541475d), vector3D53, 12.47321021965828d, vector3D66, 4.605170185988092d, vector3D77);
    double d85 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D13, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D87 = vector3D53.scalarMultiply(3.1415926535897936d);
    // The following exception was thrown during execution in test generation
    try {
      double d88 = org.apache.commons.math.geometry.Vector3D.distance(vector3D0, vector3D87);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D87);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.000015f);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    float f2 = org.apache.commons.math.util.FastMath.max(20.000004f, (-20.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000004f);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("", 10);
    java.lang.Object obj4 = mathParseException2.getContext("{");
    org.apache.commons.math.geometry.Vector3D vector3D8 = new org.apache.commons.math.geometry.Vector3D(553.2695612089751d, 121.24051417514252d);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b10 = vector3D9.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D11, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b19 = vector3D18.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D14.add(vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b22 = vector3D21.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D23.negate();
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D21, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D23.normalize();
    double d30 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D18, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.subtract(1.0d, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D36.subtract(1.0d, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D36.negate();
    org.apache.commons.math.geometry.Vector3D vector3D41 = vector3D34.add(0.0d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d43 = org.apache.commons.math.geometry.Vector3D.distance(vector3D34, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D42.add(0.4515891947683017d, vector3D45);
    boolean b51 = vector3D42.equals((java.lang.Object)false);
    double d52 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D23, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D42.negate();
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b56 = vector3D55.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D59 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = vector3D57.subtract(1.0d, vector3D59);
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D57.negate();
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D55, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D63 = vector3D57.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d65 = vector3D64.getNormInf();
    double d66 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D63, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D67 = vector3D42.add(2.0d, vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D70 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D68.subtract(1.0d, vector3D70);
    org.apache.commons.math.geometry.Vector3D vector3D72 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b73 = vector3D72.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D74 = vector3D68.add(vector3D72);
    org.apache.commons.math.geometry.Vector3D vector3D75 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b76 = vector3D75.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D77 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D79 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D80 = vector3D77.subtract(1.0d, vector3D79);
    org.apache.commons.math.geometry.Vector3D vector3D81 = vector3D77.negate();
    org.apache.commons.math.geometry.Vector3D vector3D82 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D75, vector3D77);
    org.apache.commons.math.geometry.Vector3D vector3D83 = vector3D77.normalize();
    double d84 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D72, vector3D77);
    org.apache.commons.math.geometry.Vector3D vector3D85 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    org.apache.commons.math.geometry.Vector3D vector3D86 = vector3D77.add(vector3D85);
    double d87 = org.apache.commons.math.geometry.Vector3D.distance(vector3D67, vector3D86);
    double d88 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D13, vector3D86);
    org.apache.commons.math.geometry.Vector3D vector3D89 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D8, vector3D86);
    mathParseException2.setContext("hi!000hi!000hi!", (java.lang.Object)vector3D86);
    org.apache.commons.math.exception.MathParseException mathParseException93 = new org.apache.commons.math.exception.MathParseException("{1; 0; 0}", 1);
    mathParseException2.addSuppressed((java.lang.Throwable)mathParseException93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 2.23606797749979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.0d, 25.29926205545297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000002d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.962326765130391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2954340713702646d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    long long2 = org.apache.commons.math.util.FastMath.max(2L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException0);
    java.lang.Throwable[] throwable_array2 = mathRuntimeException1.getSuppressed();
    java.lang.Object obj4 = mathRuntimeException1.getContext("{0; 0; -1}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj4);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.text.NumberFormat numberFormat6 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    java.lang.String str8 = vector3DFormat5.format(vector3D7);
    java.lang.String str9 = vector3DFormat5.getPrefix();
    java.text.NumberFormat numberFormat10 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat11 = new org.apache.commons.math.geometry.Vector3DFormat("; ", "hi!-1-0-0hi!", "}", numberFormat10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D13 = vector3DFormat11.parse("{0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0hi!000hi!");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException");
    } catch (org.apache.commons.math.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0; 1; 0}"+ "'", str8.equals("{0; 1; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{"+ "'", str9.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.CompositeFormat.parseAndIgnoreWhitespace("hi!000hi!100hi!", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 1.3335982602488075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.2954340713702646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.652581110972967d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = new org.apache.commons.math.geometry.Vector3D(12.47321021965828d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b9 = vector3D8.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D10, vector3D11);
    boolean b13 = vector3D12.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D15.negate();
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b21 = vector3D20.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D20, vector3D22);
    boolean b28 = vector3D19.equals((java.lang.Object)vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D34.subtract(1.0d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D34.negate();
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D32.add(0.0d, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d41 = org.apache.commons.math.geometry.Vector3D.distance(vector3D32, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D43.subtract(1.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D40.add(0.4515891947683017d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = vector3D48.subtract(1.0d, vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D48.negate();
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b54 = vector3D53.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D55.subtract(1.0d, vector3D57);
    org.apache.commons.math.geometry.Vector3D vector3D59 = vector3D55.negate();
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D53, vector3D55);
    boolean b61 = vector3D52.equals((java.lang.Object)vector3D60);
    boolean b62 = vector3D60.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D47, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D64 = vector3D27.subtract(vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b67 = vector3D66.isInfinite();
    double d68 = vector3D66.getNormInf();
    double d69 = vector3D66.getX();
    org.apache.commons.math.geometry.Vector3D vector3D70 = vector3D63.subtract(1.9138920484170784E240d, vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D73 = new org.apache.commons.math.geometry.Vector3D(100.0d, 6.123233995736766E-17d);
    double d74 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D70, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b77 = vector3D76.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D78 = vector3D76.negate();
    org.apache.commons.math.geometry.Vector3D vector3D79 = new org.apache.commons.math.geometry.Vector3D(1.7453292519943295d, vector3D4, 50.156866123436046d, vector3D12, 1.1241171695718353d, vector3D73, 11.591953275521524d, vector3D78);
    java.lang.String str80 = vector3D79.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.9138920484170784E240d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "{-8.88; -0.57; 0}"+ "'", str80.equals("{-8.88; -0.57; 0}"));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.4059252828734654d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 11013.232920103323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11013.232920103323d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b8 = vector3D7.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D7, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D9.normalize();
    double d16 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D4, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D17.subtract(1.0d, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D20.add(0.0d, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d29 = org.apache.commons.math.geometry.Vector3D.distance(vector3D20, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.subtract(1.0d, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D28.add(0.4515891947683017d, vector3D31);
    boolean b37 = vector3D28.equals((java.lang.Object)false);
    double d38 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D9, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D28.negate();
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b42 = vector3D41.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D43.subtract(1.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D43.negate();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D41, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D43.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D50 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d51 = vector3D50.getNormInf();
    double d52 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D49, vector3D50);
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D28.add(2.0d, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b59 = vector3D58.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D60 = vector3D54.add(vector3D58);
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b62 = vector3D61.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D66 = vector3D63.subtract(1.0d, vector3D65);
    org.apache.commons.math.geometry.Vector3D vector3D67 = vector3D63.negate();
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D61, vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D69 = vector3D63.normalize();
    double d70 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D58, vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D63.add(vector3D71);
    double d73 = org.apache.commons.math.geometry.Vector3D.distance(vector3D53, vector3D72);
    double d74 = vector3D53.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 2.23606797749979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.text.NumberFormat numberFormat6 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat7 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "; ", "{1hi!0hi!0hi!", numberFormat6);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat8 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat6);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.MINUS_K;
    double d10 = vector3D9.getAlpha();
    java.lang.StringBuffer stringBuffer11 = null;
    java.text.FieldPosition fieldPosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = vector3DFormat8.format(vector3D9, stringBuffer11, fieldPosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03490658503988659d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D0.orthogonal();
    boolean b8 = vector3D0.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = vector3D0.negate();
    double d3 = vector3D2.getNorm1();
    double d4 = vector3D2.getX();
    java.text.NumberFormat numberFormat5 = null;
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat5);
    boolean b7 = vector3D2.equals((java.lang.Object)numberFormat5);
    double d8 = vector3D2.getDelta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.0d));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    java.text.NumberFormat numberFormat6 = vector3DFormat5.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat7 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "; ", "{1hi!0hi!0hi!", numberFormat6);
    java.text.NumberFormat numberFormat8 = vector3DFormat7.getFormat();
    java.lang.String str9 = vector3DFormat7.getSuffix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D11 = vector3DFormat7.parse("{-1; -0; -0}");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException");
    } catch (org.apache.commons.math.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "; "+ "'", str9.equals("; "));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.99999994f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("", "{0; 0; 0}", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(572.9577951308232d, Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, (-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D0.negate();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D5, vector3D7);
    boolean b13 = vector3D4.equals((java.lang.Object)vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D17.add(0.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d26 = org.apache.commons.math.geometry.Vector3D.distance(vector3D17, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D28.subtract(1.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D25.add(0.4515891947683017d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D33.subtract(1.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D33.negate();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b39 = vector3D38.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D40.negate();
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D38, vector3D40);
    boolean b46 = vector3D37.equals((java.lang.Object)vector3D45);
    boolean b47 = vector3D45.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D32, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D12.subtract(vector3D48);
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b52 = vector3D51.isInfinite();
    double d53 = vector3D51.getNormInf();
    double d54 = vector3D51.getX();
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D48.subtract(1.9138920484170784E240d, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D55.orthogonal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.4342886348456434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7572852327689412d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathParseException mathParseException3 = new org.apache.commons.math.exception.MathParseException("{0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0hi!000hi!", 4, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.9651229903822252d, 130622.0136085516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-5.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.08726646259971647d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(3.879445865602642E-164d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-163.41123030396707d));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!000hi!", "org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)");
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D4.subtract(1.0d, vector3D6);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D7.add(0.0d, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d16 = org.apache.commons.math.geometry.Vector3D.distance(vector3D7, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D18.subtract(1.0d, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D15.add(0.4515891947683017d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D23.negate();
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b29 = vector3D28.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D30.negate();
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D28, vector3D30);
    boolean b36 = vector3D27.equals((java.lang.Object)vector3D35);
    boolean b37 = vector3D35.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D22, vector3D35);
    java.lang.String str39 = vector3DFormat3.format(vector3D38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D41 = vector3DFormat3.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "{0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0hi!000hi!"+ "'", str39.equals("{0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)0hi!000hi!"));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-1L), (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("{-1; -0; -0}", (-1));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("", "{-1; -0; -0}", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 1.2483425339250358d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-1.5574077246549023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D1.negate();
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b7 = vector3D6.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D8);
    boolean b14 = vector3D5.equals((java.lang.Object)vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D20.subtract(1.0d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D20.negate();
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D18.add(0.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d27 = org.apache.commons.math.geometry.Vector3D.distance(vector3D18, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.4515891947683017d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D34.subtract(1.0d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D34.negate();
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b40 = vector3D39.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D41.subtract(1.0d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D41.negate();
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D39, vector3D41);
    boolean b47 = vector3D38.equals((java.lang.Object)vector3D46);
    boolean b48 = vector3D46.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D33, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D13.subtract(vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b53 = vector3D52.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D54 = vector3D52.negate();
    double d55 = vector3D54.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D13.subtract(0.7853981633974482d, vector3D54);
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D58.subtract(1.0d, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D66 = vector3D63.subtract(1.0d, vector3D65);
    org.apache.commons.math.geometry.Vector3D vector3D67 = vector3D63.negate();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D61.add(0.0d, vector3D67);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d70 = org.apache.commons.math.geometry.Vector3D.distance(vector3D61, vector3D69);
    org.apache.commons.math.geometry.Vector3D vector3D72 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D74 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D72.subtract(1.0d, vector3D74);
    org.apache.commons.math.geometry.Vector3D vector3D76 = vector3D69.add(0.4515891947683017d, vector3D72);
    org.apache.commons.math.geometry.Vector3D vector3D77 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d78 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D76, vector3D77);
    org.apache.commons.math.geometry.Vector3D vector3D79 = new org.apache.commons.math.geometry.Vector3D(1.5707963267948966d, vector3D13, 4828870.932942649d, vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.4515891947683017d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.130910656551407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1413239068210077d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    double d1 = org.apache.commons.math.util.FastMath.log(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0986122886681098d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(6.361157470822649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5371211959540814d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.15008372881811152d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15064780621426932d));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.NaN;
    double d2 = vector3D1.getNormSq();
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.ZERO;
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b14 = vector3D13.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D9.add(vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b18 = vector3D17.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D19 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D17);
    double d20 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D9, vector3D19);
    double d21 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D5, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D4, vector3D5);
    double d23 = vector3D4.getZ();
    org.apache.commons.math.geometry.Vector3D vector3D24 = new org.apache.commons.math.geometry.Vector3D((-0.1489693612296637d), vector3D1, (-0.16637286677649443d), vector3D4);
    double d25 = vector3D4.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5998406268185329d));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.7400203856183465d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2865412156146672d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "");
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    double d11 = vector3D10.getNormSq();
    java.lang.String str12 = vector3DFormat6.format(vector3D10);
    java.lang.String str13 = vector3DFormat6.getPrefix();
    java.text.NumberFormat numberFormat14 = vector3DFormat6.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat15 = new org.apache.commons.math.geometry.Vector3DFormat("org.apache.commons.math.exception.MathParseException: string  unparseable (from position 10)", "{-1; -0; -0}", "org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position -127)", numberFormat14);
    java.text.ParsePosition parsePosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D18 = vector3DFormat15.parse("", parsePosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!000hi!"+ "'", str12.equals("hi!000hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-1.5707963267948963d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9995350933713548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1744839322052212d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.49321676688550387d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-28.25923912762715d));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b1 = vector3D0.isInfinite();
    double d2 = vector3D0.getNormInf();
    double d3 = vector3D0.getX();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D7, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D10.subtract(1.0d, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b15 = vector3D14.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D10.add(vector3D14);
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b18 = vector3D17.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D19.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D17, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D19.normalize();
    double d26 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D14, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D27.subtract(1.0d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D32.subtract(1.0d, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D32.negate();
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D30.add(0.0d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d39 = org.apache.commons.math.geometry.Vector3D.distance(vector3D30, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D41.subtract(1.0d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D38.add(0.4515891947683017d, vector3D41);
    boolean b47 = vector3D38.equals((java.lang.Object)false);
    double d48 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D19, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D38.negate();
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b52 = vector3D51.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D55 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D53.subtract(1.0d, vector3D55);
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D53.negate();
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D51, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D59 = vector3D53.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    double d61 = vector3D60.getNormInf();
    double d62 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D59, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D63 = vector3D38.add(2.0d, vector3D59);
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D67 = vector3D64.subtract(1.0d, vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b69 = vector3D68.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D70 = vector3D64.add(vector3D68);
    org.apache.commons.math.geometry.Vector3D vector3D71 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b72 = vector3D71.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D75 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D76 = vector3D73.subtract(1.0d, vector3D75);
    org.apache.commons.math.geometry.Vector3D vector3D77 = vector3D73.negate();
    org.apache.commons.math.geometry.Vector3D vector3D78 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D71, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D79 = vector3D73.normalize();
    double d80 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D68, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D81 = org.apache.commons.math.geometry.Vector3D.PLUS_K;
    org.apache.commons.math.geometry.Vector3D vector3D82 = vector3D73.add(vector3D81);
    double d83 = org.apache.commons.math.geometry.Vector3D.distance(vector3D63, vector3D82);
    double d84 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D9, vector3D82);
    double d85 = vector3D82.getNormSq();
    org.apache.commons.math.geometry.Vector3D vector3D86 = vector3D0.subtract((-1.0d), vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 2.23606797749979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.1134648177323592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0552084238350068d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    long long1 = org.apache.commons.math.util.FastMath.round(5.298292365610484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.006664887053403835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    java.text.NumberFormat numberFormat3 = null;
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat("hi!000hi!", "hi!", "", numberFormat3);
    java.lang.String str5 = vector3DFormat4.getSuffix();
    org.apache.commons.math.geometry.Vector3D vector3D6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = vector3DFormat4.format(vector3D6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(31700.01079032924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 553.2695612089751d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat5 = vector3DFormat4.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat5);
    java.text.NumberFormat numberFormat7 = vector3DFormat6.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat8 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "; ", "{1hi!0hi!0hi!", numberFormat7);
    java.lang.StringBuffer stringBuffer9 = null;
    java.text.FieldPosition fieldPosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer11 = org.apache.commons.math.util.CompositeFormat.formatDouble(1.373400766945016d, numberFormat7, stringBuffer9, fieldPosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    double d2 = org.apache.commons.math.util.FastMath.max(5.298292365610484d, 4.605170185988092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.298292365610484d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3018019822761655d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException0);
    java.lang.Object obj3 = mathArithmeticException0.getContext("");
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException4 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathArithmeticException0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.99627207622075d, 1.0986122886681098d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.995905210769492d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.0066649363975698405d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1632508457360351E-4d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.4401152093740847d, (-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4401152093740847d));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.786749131547214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6652716507048931d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    java.text.NumberFormat numberFormat0 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat1 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat0);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat2 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat0);
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D5 = vector3DFormat2.parse("{-0.54; 0; 0}", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat0);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.5707963267948966d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(2.2227587494850775E-162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.222758749485078E-162d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(21.87969552836667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.993795535716391d));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.1134648177323592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.47197829206456055d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    double d2 = org.apache.commons.math.util.FastMath.min(3.879445865602642E-164d, 0.18819045748386512d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.879445865602642E-164d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat4);
    java.lang.String str7 = vector3DFormat6.getPrefix();
    org.apache.commons.math.geometry.Vector3D vector3D10 = new org.apache.commons.math.geometry.Vector3D(4.509062855957621E52d, 0.3818727263038788d);
    java.lang.StringBuffer stringBuffer11 = null;
    java.text.FieldPosition fieldPosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = vector3DFormat6.format(vector3D10, stringBuffer11, fieldPosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{"+ "'", str7.equals("{"));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.0959782418713526d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0959782418713526d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-23), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.3007544112948797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.2070624729926227E31d, (-0.08080459173827936d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.2070624729926227E31d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.8622957433108482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.230314710778741d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.CompositeFormat.parseAndIgnoreWhitespace("{-8.88; -0.57; 0}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.0959782418713524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0959782418713524d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.1413239068210077d, 1.9138920484170784E240d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.141323906821008d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.007220253477650596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.673617379884035E-19d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.99627207622075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6912814793316473d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.6863667326046964d, 8.673617379884035E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6863667326046964d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.6863667326046964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.841053633088038d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D5.add(0.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d14 = org.apache.commons.math.geometry.Vector3D.distance(vector3D5, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D16.subtract(1.0d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D20 = vector3D13.add(0.4515891947683017d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d22 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D20, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = new org.apache.commons.math.geometry.Vector3D(31700.01079032924d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D0.add(vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.ZERO;
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b35 = vector3D34.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D30.add(vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b39 = vector3D38.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D40 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D38);
    double d41 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D30, vector3D40);
    double d42 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D26, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D25, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D0.subtract(vector3D26);
    double d45 = vector3D44.getAlpha();
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.MINUS_J;
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D52 = vector3D49.subtract(1.0d, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D53 = vector3D49.negate();
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b55 = vector3D54.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D59 = vector3D56.subtract(1.0d, vector3D58);
    org.apache.commons.math.geometry.Vector3D vector3D60 = vector3D56.negate();
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D54, vector3D56);
    boolean b62 = vector3D53.equals((java.lang.Object)vector3D61);
    boolean b63 = vector3D61.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D64 = new org.apache.commons.math.geometry.Vector3D(0.8648156316744433d, vector3D47, 11.591953275521524d, vector3D61);
    boolean b65 = vector3D44.equals((java.lang.Object)0.8648156316744433d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 2.356194490192345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D4.subtract(1.0d, vector3D6);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b9 = vector3D8.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D4.add(vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b13 = vector3D12.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D14 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D12);
    double d15 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D4, vector3D14);
    double d16 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D0, vector3D14);
    double d17 = vector3D14.getDelta();
    double d18 = vector3D14.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.5403023058681398d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(25.29926205545297d, 3.879445865602642E-164d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 25.299262055452967d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.19497118998450602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.03490658503988659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03490658503988659d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.18819045748386512d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.3007544112948797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3508775405304383d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.2954340713702646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2954340713702646d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.6652716507048931d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b9 = vector3D8.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D10 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D8);
    double d11 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D0, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.NEGATIVE_INFINITY;
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b16 = vector3D15.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D15.negate();
    double d18 = vector3D17.getNorm1();
    double d19 = vector3D17.getX();
    org.apache.commons.math.geometry.Vector3D vector3D20 = new org.apache.commons.math.geometry.Vector3D(1.0959782418713526d, vector3D13, (-1.0d), vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b24 = vector3D23.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D25 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D25.scalarMultiply((-1.1752011936438014d));
    boolean b28 = vector3D13.equals((java.lang.Object)vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D34.subtract(1.0d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b39 = vector3D38.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D34.add(vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b43 = vector3D42.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D44 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D42);
    double d45 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D34, vector3D44);
    double d46 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D30, vector3D44);
    double d47 = vector3D44.getDelta();
    java.lang.String str48 = vector3D44.toString();
    double d49 = vector3D44.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D13.subtract(0.8437641521554847d, vector3D44);
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = vector3D51.subtract(1.0d, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D51.negate();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b57 = vector3D56.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D58.subtract(1.0d, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D58.negate();
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D56, vector3D58);
    boolean b64 = vector3D55.equals((java.lang.Object)vector3D63);
    double d65 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D13, vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "{-0.54; 0; 0}"+ "'", str48.equals("{-0.54; 0; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D6.subtract(1.0d, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D6.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D4.add(0.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d13 = org.apache.commons.math.geometry.Vector3D.distance(vector3D4, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D12.add(0.4515891947683017d, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d21 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D19, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b28 = vector3D27.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D29.negate();
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D27, vector3D29);
    boolean b35 = vector3D26.equals((java.lang.Object)vector3D34);
    double d36 = org.apache.commons.math.geometry.Vector3D.angle(vector3D19, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D43.add(0.0d, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d52 = org.apache.commons.math.geometry.Vector3D.distance(vector3D43, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D51.add(0.4515891947683017d, vector3D54);
    boolean b60 = vector3D51.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D62.subtract(1.0d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b67 = vector3D66.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D62.add(vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D69 = new org.apache.commons.math.geometry.Vector3D((-0.21382762205541475d), vector3D19, (-0.21382762205541475d), vector3D38, 12.47321021965828d, vector3D51, 4.605170185988092d, vector3D62);
    double d70 = vector3D19.getNorm();
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D19.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.exception.MathRuntimeException(throwable0);
    java.util.Set set2 = mathRuntimeException1.getContextKeys();
    java.lang.Object obj4 = mathRuntimeException1.getContext("hi!000hi!000hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj4);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = null;
    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.geometry.Vector3D.distance(vector3D0, vector3D4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.051117548071182926d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05109531248314187d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = new org.apache.commons.math.geometry.Vector3D(39.0d, 2.2083244963961874d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    boolean b4 = vector3D2.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.7900949343187332d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4538017118809841d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D5.negate();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D3.add(0.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d12 = org.apache.commons.math.geometry.Vector3D.distance(vector3D3, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D14.subtract(1.0d, vector3D16);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D11.add(0.4515891947683017d, vector3D14);
    boolean b20 = vector3D11.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D21.subtract(1.0d, vector3D23);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D26.negate();
    org.apache.commons.math.geometry.Vector3D vector3D31 = vector3D24.add(0.0d, vector3D30);
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D11, vector3D24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D32.orthogonal();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = new org.apache.commons.math.geometry.Vector3DFormat("{1; 0; 0}", "hi!000hi!000hi!", "org.apache.commons.math.exception.MathParseException: string hi! unparseable (from position -127)");
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D4.subtract(1.0d, vector3D6);
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D7.add(0.0d, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d16 = org.apache.commons.math.geometry.Vector3D.distance(vector3D7, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D18.subtract(1.0d, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D15.add(0.4515891947683017d, vector3D18);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D23.negate();
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b29 = vector3D28.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D30 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D30.subtract(1.0d, vector3D32);
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D30.negate();
    org.apache.commons.math.geometry.Vector3D vector3D35 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D28, vector3D30);
    boolean b36 = vector3D27.equals((java.lang.Object)vector3D35);
    boolean b37 = vector3D35.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D22, vector3D35);
    double d39 = vector3D22.getY();
    java.lang.StringBuffer stringBuffer40 = null;
    java.text.FieldPosition fieldPosition41 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer42 = vector3DFormat3.format(vector3D22, stringBuffer40, fieldPosition41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat5 = vector3DFormat4.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat5);
    java.text.NumberFormat numberFormat7 = vector3DFormat6.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat8 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "; ", "{1hi!0hi!0hi!", numberFormat7);
    java.lang.StringBuffer stringBuffer9 = null;
    java.text.FieldPosition fieldPosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer11 = org.apache.commons.math.util.CompositeFormat.formatDouble(0.0d, numberFormat7, stringBuffer9, fieldPosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.3335982602488075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("{-0.54; 0; 0}", (-1));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat0 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat1 = vector3DFormat0.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat2 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat1);
    java.text.NumberFormat numberFormat3 = vector3DFormat2.getFormat();
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    java.lang.String str5 = vector3DFormat2.format(vector3D4);
    java.lang.String str6 = vector3DFormat2.getPrefix();
    java.lang.String str7 = vector3DFormat2.getSeparator();
    java.lang.String str8 = vector3DFormat2.getSeparator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{0; 1; 0}"+ "'", str5.equals("{0; 1; 0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "{"+ "'", str6.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "; "+ "'", str7.equals("; "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "; "+ "'", str8.equals("; "));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.00788171831513682d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(3.216245299353273E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.2162452993532727E-16d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(6.123233995736766E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.232595164407831E-32d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    double d2 = vector3D0.getNorm1();
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.NaN;
    double d4 = vector3D3.getDelta();
    double d5 = org.apache.commons.math.geometry.Vector3D.angle(vector3D0, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D6.negate();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b9 = vector3D8.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D10.subtract(1.0d, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D10.negate();
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D8, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D10.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D18.subtract(1.0d, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D23.negate();
    org.apache.commons.math.geometry.Vector3D vector3D28 = vector3D21.add(0.0d, vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d30 = org.apache.commons.math.geometry.Vector3D.distance(vector3D21, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D32 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D32.subtract(1.0d, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D29.add(0.4515891947683017d, vector3D32);
    double d37 = org.apache.commons.math.geometry.Vector3D.distance(vector3D17, vector3D36);
    double d38 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D16, vector3D36);
    double d39 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D7, vector3D36);
    boolean b40 = vector3D7.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == (-1.4515891947683017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b1 = vector3D0.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D2.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D0, vector3D2);
    double d8 = vector3D2.getNormInf();
    org.apache.commons.math.geometry.Vector3D vector3D10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D2.subtract((-0.08726646259971647d), vector3D10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-1600.0001f), 20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1600.0001f);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b2 = vector3D1.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D3 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D1);
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D3.scalarMultiply((-1.1752011936438014d));
    double d6 = vector3D3.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5403023058681398d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat4);
    java.lang.String str7 = vector3DFormat6.getSuffix();
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D10 = vector3DFormat6.parse("hi!000hi!100hi!", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!", "");
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = vector3D5.subtract(1.0d, vector3D7);
    double d9 = vector3D8.getNormSq();
    java.lang.String str10 = vector3DFormat4.format(vector3D8);
    java.lang.String str11 = vector3DFormat4.getPrefix();
    java.text.NumberFormat numberFormat12 = vector3DFormat4.getFormat();
    java.lang.StringBuffer stringBuffer13 = null;
    java.text.FieldPosition fieldPosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = org.apache.commons.math.util.CompositeFormat.formatDouble(50.156866123436046d, numberFormat12, stringBuffer13, fieldPosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!000hi!"+ "'", str10.equals("hi!000hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.16637286677649443d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0138719189765584d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-2.220446E-16f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-2.2204459E-16f));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    java.text.NumberFormat numberFormat1 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number3 = org.apache.commons.math.util.CompositeFormat.parseNumber("", numberFormat1, parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math.util.CompositeFormat.parseNextCharacter("{-8.88; -0.57; 0}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D2.subtract(1.0d, vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D5.add(0.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d14 = org.apache.commons.math.geometry.Vector3D.distance(vector3D5, vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b20 = vector3D19.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D15.add(vector3D19);
    double d22 = vector3D21.getZ();
    double d23 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D5, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D24 = new org.apache.commons.math.geometry.Vector3D(0.4636476090008061d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D33 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D34 = vector3D31.subtract(1.0d, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D35 = vector3D31.negate();
    org.apache.commons.math.geometry.Vector3D vector3D36 = vector3D29.add(0.0d, vector3D35);
    org.apache.commons.math.geometry.Vector3D vector3D37 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d38 = org.apache.commons.math.geometry.Vector3D.distance(vector3D29, vector3D37);
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D37.add(0.4515891947683017d, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d46 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D44, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = new org.apache.commons.math.geometry.Vector3D(31700.01079032924d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D21.add(vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D53 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = vector3D51.subtract(1.0d, vector3D53);
    org.apache.commons.math.geometry.Vector3D vector3D55 = vector3D51.negate();
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b57 = vector3D56.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D58 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D60 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = vector3D58.subtract(1.0d, vector3D60);
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D58.negate();
    org.apache.commons.math.geometry.Vector3D vector3D63 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D56, vector3D58);
    boolean b64 = vector3D55.equals((java.lang.Object)vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D67 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D65.subtract(1.0d, vector3D67);
    org.apache.commons.math.geometry.Vector3D vector3D69 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b70 = vector3D69.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D65.add(vector3D69);
    org.apache.commons.math.geometry.Vector3D vector3D72 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b73 = vector3D72.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D74 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D77 = vector3D74.subtract(1.0d, vector3D76);
    org.apache.commons.math.geometry.Vector3D vector3D78 = vector3D74.negate();
    org.apache.commons.math.geometry.Vector3D vector3D79 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D72, vector3D74);
    org.apache.commons.math.geometry.Vector3D vector3D80 = vector3D74.normalize();
    double d81 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D69, vector3D74);
    double d82 = vector3D74.getNorm1();
    double d83 = org.apache.commons.math.geometry.Vector3D.distance(vector3D63, vector3D74);
    org.apache.commons.math.geometry.Vector3D vector3D85 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.geometry.Vector3D vector3D86 = new org.apache.commons.math.geometry.Vector3D(10.368471975422914d, vector3D21, 1.0959985070130596d, vector3D74, 2.2083244963961874d, vector3D85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = vector3D1.add(vector3D5);
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b9 = vector3D8.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D10.subtract(1.0d, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D10.negate();
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D8, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D10.normalize();
    double d17 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D5, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D10.scalarMultiply(1.0d);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b21 = vector3D20.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D10.subtract(vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D23 = new org.apache.commons.math.geometry.Vector3D(1.5403023058681398d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b25 = vector3D24.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D28 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D26.subtract(1.0d, vector3D28);
    org.apache.commons.math.geometry.Vector3D vector3D30 = vector3D26.negate();
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D24, vector3D26);
    double d32 = vector3D26.getNormInf();
    double d33 = vector3D26.getAlpha();
    double d34 = org.apache.commons.math.geometry.Vector3D.angle(vector3D22, vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    double d4 = vector3D2.getZ();
    boolean b5 = vector3D2.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.geometry.Vector3D.angle(vector3D2, vector3D6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    double d7 = vector3D6.getNorm();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D16 = vector3D13.subtract(1.0d, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D17 = vector3D13.negate();
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D11.add(0.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d20 = org.apache.commons.math.geometry.Vector3D.distance(vector3D11, vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D19.add(0.4515891947683017d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D27 = vector3D6.subtract(vector3D26);
    double d28 = vector3D27.getZ();
    boolean b29 = vector3D27.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.15064780621426932d), 0.3596375654124956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.15064780621426932d));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.786749131547214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7061508574617856d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    java.text.NumberFormat numberFormat1 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    java.lang.StringBuffer stringBuffer2 = null;
    java.text.FieldPosition fieldPosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = org.apache.commons.math.util.CompositeFormat.formatDouble((-1.5707963267948963d), numberFormat1, stringBuffer2, fieldPosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(6.889941453715501d, 2.7784448564718103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 213.27287935005253d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat3 = org.apache.commons.math.geometry.Vector3DFormat.getInstance();
    java.text.NumberFormat numberFormat4 = vector3DFormat3.getFormat();
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat5 = new org.apache.commons.math.geometry.Vector3DFormat(numberFormat4);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat6 = new org.apache.commons.math.geometry.Vector3DFormat("{", "hi!", "hi!", numberFormat4);
    java.lang.String str7 = vector3DFormat6.getPrefix();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b9 = vector3D8.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D8.negate();
    java.lang.String str11 = vector3DFormat6.format(vector3D8);
    java.lang.String str12 = vector3DFormat6.getSuffix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3DFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{"+ "'", str7.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{1hi!0hi!0hi!"+ "'", str11.equals("{1hi!0hi!0hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.99999994f, 1.1754947E-37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("", 6);
    java.lang.Throwable[] throwable_array3 = mathParseException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(20.000006f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.9073486E-6f);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(2.4277236507885163d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6547629892206301d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.4161468365471424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0878459425413902d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.7400203856183465d, 1.4189319546324293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4807255440422505d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(3.1415926535897936d, 3.2499195710293756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.520130708204037d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D4.negate();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D7);
    mathParseException2.setContext("hi!", (java.lang.Object)vector3D8);
    double d10 = vector3D8.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8414709848078964d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathParseException mathParseException3 = new org.apache.commons.math.exception.MathParseException("{0; 1; 0}", 4, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.9557769629858023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8946484821335774d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    org.apache.commons.math.exception.MathParseException mathParseException2 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    org.apache.commons.math.exception.MathParseException mathParseException5 = new org.apache.commons.math.exception.MathParseException("hi!", 10);
    mathParseException2.addSuppressed((java.lang.Throwable)mathParseException5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathParseException2);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException9 = new org.apache.commons.math.exception.MathRuntimeException();
    java.lang.Object obj11 = mathRuntimeException9.getContext("hi!");
    java.lang.Throwable[] throwable_array12 = mathRuntimeException9.getSuppressed();
    mathParseException2.addMessage(localizable8, (java.lang.Object[])throwable_array12);
    java.lang.Object obj15 = mathParseException2.getContext("; ");
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.MathParseException mathParseException19 = new org.apache.commons.math.exception.MathParseException("hi!", 1);
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b22 = vector3D21.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D21.negate();
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D23, vector3D24);
    mathParseException19.setContext("hi!", (java.lang.Object)vector3D25);
    java.lang.Throwable[] throwable_array27 = mathParseException19.getSuppressed();
    mathParseException2.addMessage(localizable16, (java.lang.Object[])throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = vector3D6.subtract(1.0d, vector3D8);
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D6.negate();
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D4.add(0.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d13 = org.apache.commons.math.geometry.Vector3D.distance(vector3D4, vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D19 = vector3D12.add(0.4515891947683017d, vector3D15);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d21 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D19, vector3D20);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b28 = vector3D27.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D29.negate();
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D27, vector3D29);
    boolean b35 = vector3D26.equals((java.lang.Object)vector3D34);
    double d36 = org.apache.commons.math.geometry.Vector3D.angle(vector3D19, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D40 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D42 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = vector3D40.subtract(1.0d, vector3D42);
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D47 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D48 = vector3D45.subtract(1.0d, vector3D47);
    org.apache.commons.math.geometry.Vector3D vector3D49 = vector3D45.negate();
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D43.add(0.0d, vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D51 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d52 = org.apache.commons.math.geometry.Vector3D.distance(vector3D43, vector3D51);
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D58 = vector3D51.add(0.4515891947683017d, vector3D54);
    boolean b60 = vector3D51.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D62 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D64 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D65 = vector3D62.subtract(1.0d, vector3D64);
    org.apache.commons.math.geometry.Vector3D vector3D66 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b67 = vector3D66.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D68 = vector3D62.add(vector3D66);
    org.apache.commons.math.geometry.Vector3D vector3D69 = new org.apache.commons.math.geometry.Vector3D((-0.21382762205541475d), vector3D19, (-0.21382762205541475d), vector3D38, 12.47321021965828d, vector3D51, 4.605170185988092d, vector3D62);
    org.apache.commons.math.geometry.Vector3D vector3D70 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b71 = vector3D70.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D70.negate();
    org.apache.commons.math.geometry.Vector3D vector3D73 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D74 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D72, vector3D73);
    org.apache.commons.math.geometry.Vector3D vector3D75 = vector3D38.subtract(vector3D72);
    org.apache.commons.math.geometry.Vector3D vector3D76 = vector3D38.normalize();
    org.apache.commons.math.geometry.Vector3D vector3D77 = vector3D76.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.3508775405304383d, 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6807349968122776d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.8414709848078964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.2207031E-4f, (-100.00001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.2207031E-4f));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(3.2162452993532727E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    org.apache.commons.math.geometry.Vector3D vector3D1 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D1.subtract(1.0d, vector3D3);
    org.apache.commons.math.geometry.Vector3D vector3D5 = vector3D1.negate();
    org.apache.commons.math.geometry.Vector3D vector3D6 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b7 = vector3D6.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D8 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D8.subtract(1.0d, vector3D10);
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D8.negate();
    org.apache.commons.math.geometry.Vector3D vector3D13 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D6, vector3D8);
    boolean b14 = vector3D5.equals((java.lang.Object)vector3D13);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D20.subtract(1.0d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D20.negate();
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D18.add(0.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d27 = org.apache.commons.math.geometry.Vector3D.distance(vector3D18, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.4515891947683017d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D37 = vector3D34.subtract(1.0d, vector3D36);
    org.apache.commons.math.geometry.Vector3D vector3D38 = vector3D34.negate();
    org.apache.commons.math.geometry.Vector3D vector3D39 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b40 = vector3D39.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D44 = vector3D41.subtract(1.0d, vector3D43);
    org.apache.commons.math.geometry.Vector3D vector3D45 = vector3D41.negate();
    org.apache.commons.math.geometry.Vector3D vector3D46 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D39, vector3D41);
    boolean b47 = vector3D38.equals((java.lang.Object)vector3D46);
    boolean b48 = vector3D46.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D49 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D33, vector3D46);
    org.apache.commons.math.geometry.Vector3D vector3D50 = vector3D13.subtract(vector3D49);
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b53 = vector3D52.isInfinite();
    double d54 = vector3D52.getNormInf();
    double d55 = vector3D52.getX();
    org.apache.commons.math.geometry.Vector3D vector3D56 = vector3D49.subtract(1.9138920484170784E240d, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D57 = new org.apache.commons.math.geometry.Vector3D((-0.8207187468572497d), vector3D56);
    double d58 = vector3D56.getNormInf();
    boolean b59 = vector3D56.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.9138920484170784E240d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.07448468061483185d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = vector3D0.negate();
    org.apache.commons.math.geometry.Vector3D vector3D5 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b6 = vector3D5.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D10 = vector3D7.subtract(1.0d, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D11 = vector3D7.negate();
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D5, vector3D7);
    boolean b13 = vector3D4.equals((java.lang.Object)vector3D12);
    org.apache.commons.math.geometry.Vector3D vector3D15 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D17 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D15.subtract(1.0d, vector3D17);
    org.apache.commons.math.geometry.Vector3D vector3D20 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D23 = vector3D20.subtract(1.0d, vector3D22);
    org.apache.commons.math.geometry.Vector3D vector3D24 = vector3D20.negate();
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D18.add(0.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d27 = org.apache.commons.math.geometry.Vector3D.distance(vector3D18, vector3D26);
    org.apache.commons.math.geometry.Vector3D vector3D29 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D32 = vector3D29.subtract(1.0d, vector3D31);
    org.apache.commons.math.geometry.Vector3D vector3D33 = vector3D26.add(0.4515891947683017d, vector3D29);
    org.apache.commons.math.geometry.Vector3D vector3D34 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d35 = org.apache.commons.math.geometry.Vector3D.distanceInf(vector3D33, vector3D34);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D38 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D39 = vector3D36.subtract(1.0d, vector3D38);
    org.apache.commons.math.geometry.Vector3D vector3D40 = vector3D36.negate();
    org.apache.commons.math.geometry.Vector3D vector3D41 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b42 = vector3D41.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D43 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D45 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D46 = vector3D43.subtract(1.0d, vector3D45);
    org.apache.commons.math.geometry.Vector3D vector3D47 = vector3D43.negate();
    org.apache.commons.math.geometry.Vector3D vector3D48 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D41, vector3D43);
    boolean b49 = vector3D40.equals((java.lang.Object)vector3D48);
    double d50 = org.apache.commons.math.geometry.Vector3D.angle(vector3D33, vector3D40);
    org.apache.commons.math.geometry.Vector3D vector3D52 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D54 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D56 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D57 = vector3D54.subtract(1.0d, vector3D56);
    org.apache.commons.math.geometry.Vector3D vector3D59 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D61 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D62 = vector3D59.subtract(1.0d, vector3D61);
    org.apache.commons.math.geometry.Vector3D vector3D63 = vector3D59.negate();
    org.apache.commons.math.geometry.Vector3D vector3D64 = vector3D57.add(0.0d, vector3D63);
    org.apache.commons.math.geometry.Vector3D vector3D65 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    double d66 = org.apache.commons.math.geometry.Vector3D.distance(vector3D57, vector3D65);
    org.apache.commons.math.geometry.Vector3D vector3D68 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D70 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D71 = vector3D68.subtract(1.0d, vector3D70);
    org.apache.commons.math.geometry.Vector3D vector3D72 = vector3D65.add(0.4515891947683017d, vector3D68);
    boolean b74 = vector3D65.equals((java.lang.Object)false);
    org.apache.commons.math.geometry.Vector3D vector3D76 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D78 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D79 = vector3D76.subtract(1.0d, vector3D78);
    org.apache.commons.math.geometry.Vector3D vector3D80 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b81 = vector3D80.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D82 = vector3D76.add(vector3D80);
    org.apache.commons.math.geometry.Vector3D vector3D83 = new org.apache.commons.math.geometry.Vector3D((-0.21382762205541475d), vector3D33, (-0.21382762205541475d), vector3D52, 12.47321021965828d, vector3D65, 4.605170185988092d, vector3D76);
    double d84 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D12, vector3D52);
    org.apache.commons.math.geometry.Vector3D vector3D86 = vector3D52.scalarMultiply(3.1415926535897936d);
    org.apache.commons.math.geometry.Vector3D vector3D87 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d88 = org.apache.commons.math.geometry.Vector3D.distance(vector3D86, vector3D87);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.4515891947683017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat4 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!000hi!000hi!", "; ");
    org.apache.commons.math.geometry.Vector3D vector3D7 = new org.apache.commons.math.geometry.Vector3D(Double.NEGATIVE_INFINITY, 2.718281828459045d);
    java.lang.String str8 = vector3DFormat4.format(vector3D7);
    boolean b10 = vector3D7.equals((java.lang.Object)100.0d);
    org.apache.commons.math.geometry.Vector3D vector3D12 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b13 = vector3D12.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D14 = vector3D12.negate();
    double d15 = vector3D14.getNorm1();
    double d16 = vector3D14.getAlpha();
    org.apache.commons.math.geometry.Vector3D vector3D18 = org.apache.commons.math.geometry.Vector3D.ZERO;
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D21 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D22 = vector3D19.subtract(1.0d, vector3D21);
    org.apache.commons.math.geometry.Vector3D vector3D23 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D23.subtract(1.0d, vector3D25);
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b28 = vector3D27.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D29 = vector3D23.add(vector3D27);
    org.apache.commons.math.geometry.Vector3D vector3D31 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b32 = vector3D31.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D33 = new org.apache.commons.math.geometry.Vector3D(0.5403023058681398d, vector3D31);
    double d34 = org.apache.commons.math.geometry.Vector3D.dotProduct(vector3D23, vector3D33);
    double d35 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D19, vector3D33);
    org.apache.commons.math.geometry.Vector3D vector3D36 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D18, vector3D19);
    org.apache.commons.math.geometry.Vector3DFormat vector3DFormat41 = new org.apache.commons.math.geometry.Vector3DFormat("hi!", "hi!000hi!000hi!", "; ");
    org.apache.commons.math.geometry.Vector3D vector3D44 = new org.apache.commons.math.geometry.Vector3D(Double.NEGATIVE_INFINITY, 2.718281828459045d);
    java.lang.String str45 = vector3DFormat41.format(vector3D44);
    boolean b47 = vector3D44.equals((java.lang.Object)100.0d);
    org.apache.commons.math.geometry.Vector3D vector3D48 = new org.apache.commons.math.geometry.Vector3D((-1.4515891947683017d), vector3D7, 2.220446049250313E-16d, vector3D14, 1.019067169071246d, vector3D18, 0.34069565035013766d, vector3D44);
    double d49 = vector3D48.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!(NaN); (NaN); 0.41hi!000hi!000hi!"+ "'", str8.equals("hi!(NaN); (NaN); 0.41hi!000hi!000hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == (-0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!(NaN); (NaN); 0.41hi!000hi!000hi!"+ "'", str45.equals("hi!(NaN); (NaN); 0.41hi!000hi!000hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.6652716507048931d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5870362013455376d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    org.apache.commons.math.geometry.Vector3D vector3D0 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D2 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D3 = vector3D0.subtract(1.0d, vector3D2);
    org.apache.commons.math.geometry.Vector3D vector3D4 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b5 = vector3D4.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D6 = vector3D0.add(vector3D4);
    org.apache.commons.math.geometry.Vector3D vector3D7 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    boolean b8 = vector3D7.isNaN();
    org.apache.commons.math.geometry.Vector3D vector3D9 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D11 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D12 = vector3D9.subtract(1.0d, vector3D11);
    org.apache.commons.math.geometry.Vector3D vector3D13 = vector3D9.negate();
    org.apache.commons.math.geometry.Vector3D vector3D14 = org.apache.commons.math.geometry.Vector3D.crossProduct(vector3D7, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D15 = vector3D9.normalize();
    double d16 = org.apache.commons.math.geometry.Vector3D.distanceSq(vector3D4, vector3D9);
    org.apache.commons.math.geometry.Vector3D vector3D18 = vector3D9.scalarMultiply(1.0d);
    org.apache.commons.math.geometry.Vector3D vector3D19 = org.apache.commons.math.geometry.Vector3D.MINUS_I;
    boolean b20 = vector3D19.isInfinite();
    org.apache.commons.math.geometry.Vector3D vector3D21 = vector3D9.subtract(vector3D19);
    org.apache.commons.math.geometry.Vector3D vector3D22 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D24 = org.apache.commons.math.geometry.Vector3D.PLUS_I;
    org.apache.commons.math.geometry.Vector3D vector3D25 = vector3D22.subtract(1.0d, vector3D24);
    org.apache.commons.math.geometry.Vector3D vector3D26 = vector3D22.negate();
    org.apache.commons.math.geometry.Vector3D vector3D27 = org.apache.commons.math.geometry.Vector3D.PLUS_J;
    org.apache.commons.math.geometry.Vector3D vector3D28 = vector3D26.add(vector3D27);
    double d29 = org.apache.commons.math.geometry.Vector3D.distance1(vector3D9, vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 2.0d);

  }

}
